<?php
/*
Purpose: E-mail form

$Header: /usr/local/cvs/pleskapps/packages/myorgbook-2.8/src/EmailForm.php,v 1.1.1.1 2007/05/08 05:04:26 ilobachev Exp $
$Log: EmailForm.php,v $
Revision 1.1.1.1  2007/05/08 05:04:26  ilobachev
no message

Revision 1.11  2003/08/12 18:20:14  mik3
Changed the way feedback behaves

Revision 1.10  2003/08/11 14:39:39  mik3
Bugfix (skin.inc)

Revision 1.9  2003/08/02 13:44:38  mik3
Layout changes, language changes, theme support changes. Iow version 2.5

Revision 1.8  2003/07/05 21:11:44  mik3
Added mail to all users function for administrator

Revision 1.7  2003/06/20 22:04:22  mik3
Changed how language works, fixed bugs, made small other enhancements.......

*/

include ('inc/session.inc');
include ('inc/functions.inc');
include ('inc/template.inc');
 	
if (isset($_REQUEST['subject']) && isset($_REQUEST['body'])) {
	include ('mail/htmlMimeMail.php');
	$mail = new htmlMimeMail();
	$mail->setText(StripHTML($_REQUEST['body']));
	$mail->setSubject($_REQUEST['subject']);
	$mail->setFrom($_SESSION["First_Name"] . ' ' . $_SESSION["Last_Name"] . '<' . $_SESSION['Email'] . '>');
	// To all mail?
	if ((isset($_SESSION["IsAdmin"])) && ($_SESSION["IsAdmin"]) && (isset($_REQUEST['email1'])) && ($_REQUEST['email1']=='All Users')) {
		$dbresult = $db->Execute("SELECT * FROM myorgbook_users");
		if ($dbresult == false) die(msg('Query Failed'));
		while (!$dbresult->EOF) {
		$r = $dbresult->fields;
		$firstname = $r["user_fname"];
		$lastname = $r["user_lname"];
		$email = $r["uemail"];
		$result = $mail->send(array('"' . $firstname . ' ' . $lastname . '" <' . $email . '>'));
		$dbresult->MoveNext();
		}
	} else {
		$result = $mail->send(array($_REQUEST['email1']));
	}
	if ($result) {
		header("Location: ".$BASE_URL_SCHEME."://".$_SERVER['SERVER_NAME']."/".substr($_SERVER['PHP_SELF'], 1, strrpos($_SERVER['PHP_SELF'],"/")) . $_REQUEST['back'] . "&Info=" . msg('The e-mail has been sent'));
		exit;
	}
	Die (msg('E-mail services down.'));
}

// Setup the template
$MyPage = New Template("Templates/$Theme/");
$MyPage->set_file(array("MyHeaderHandle" => "header.tpl",
		"MyFileHandle" => "emailform.tpl"));
// Setting the variables
include ('inc/Templateheader.inc');

// parsing header
$MyPage->parse("header","MyHeaderHandle",true);

// Doing the static part (not that there is a dynamic part....)
$MyPage->set_var("To:",msg('To:'));
if ((isset($_REQUEST['Do'])) && ($_REQUEST['Do']=="All") && (isset($_SESSION["IsAdmin"])) && ($_SESSION["IsAdmin"])) {
	$MyPage->set_var("email1","All Users");
} else {
	$MyPage->set_var("email1",$_REQUEST['email1']);
}
$MyPage->set_var("From:",msg('From:'));
$MyPage->set_var("uemail",$_SESSION["Email"]);
$MyPage->set_var("Subject:",msg('Subject:'));
$MyPage->set_var("Body:",msg('Body:'));
$MyPage->set_var("Send E-Mail",msg('Send E-Mail'));
$MyPage->set_var("Back",msg('Back'));
$MyPage->set_var("NegLang",$_SESSION["Language"]);
$MyPage->set_var("BackLink",$_REQUEST['back']);

// outputting result		
$MyPage->pparse("output","MyFileHandle");

?> 
