<?php
/*
Purpose: Update a given contact

$Header: /usr/local/cvs/pleskapps/packages/myorgbook-2.8/src/UpdateContact.php,v 1.1.1.1 2007/05/08 05:04:26 ilobachev Exp $
$Log: UpdateContact.php,v $
Revision 1.1.1.1  2007/05/08 05:04:26  ilobachev
no message

Revision 1.7  2003/08/16 15:03:08  mik3
Removed obsolete code

Revision 1.6  2003/08/12 16:42:48  mik3
Changed the way feedback behaves

Revision 1.5  2003/08/02 13:44:38  mik3
Layout changes, language changes, theme support changes. Iow version 2.5

Revision 1.4  2003/06/20 22:04:22  mik3
Changed how language works, fixed bugs, made small other enhancements.......

*/

include ('inc/session.inc');
include ('inc/functions.inc');
include ('inc/template.inc');

// If the update button is pressed, update the contact
if (isset($_REQUEST['UContact'])) {
	// Building a query without HTML and making sure quotes are ok
	$query = "UPDATE myorgbook_contacts SET 
	fname	=" . $db->qstr(StripHTML($_REQUEST['fname']),get_magic_quotes_gpc()) . ",
	lname	=" . $db->qstr(StripHTML($_REQUEST['lname']),get_magic_quotes_gpc()) . ",
	mint	= '" . $_REQUEST['mint'] . "', 
	email1	= " . $db->qstr(StripHTML($_REQUEST['email1']),get_magic_quotes_gpc()) . ",
	email2	= " . $db->qstr(StripHTML($_REQUEST['email2']),get_magic_quotes_gpc()) . ", 
	hphone	= " . $db->qstr(StripHTML($_REQUEST['hphone']),get_magic_quotes_gpc()) . ", 
	bphone	= " . $db->qstr(StripHTML($_REQUEST['bphone']),get_magic_quotes_gpc()) . ",
	cphone	= " . $db->qstr(StripHTML($_REQUEST['cphone']),get_magic_quotes_gpc()) . ",
	fax	= " . $db->qstr(StripHTML($_REQUEST['fax']),get_magic_quotes_gpc()) . ", 
	pager	= " . $db->qstr(StripHTML($_REQUEST['pager']),get_magic_quotes_gpc()) . ", 
	address = " . $db->qstr(StripHTML($_REQUEST['address']),get_magic_quotes_gpc()) . ",
	address2= " . $db->qstr(StripHTML($_REQUEST['address2']),get_magic_quotes_gpc()) . ",
	city	= " . $db->qstr(StripHTML($_REQUEST['city']),get_magic_quotes_gpc()) . ",
	state	= " . $db->qstr(StripHTML($_REQUEST['state']),get_magic_quotes_gpc()) . ",
	zip	= " . $db->qstr(StripHTML($_REQUEST['zip']),get_magic_quotes_gpc()) . ",
	country	= " . $db->qstr(StripHTML($_REQUEST['country']),get_magic_quotes_gpc()) . ",
	comments= " . $db->qstr(StripHTML($_REQUEST['comments']),get_magic_quotes_gpc()) . ",
	url	= " . $db->qstr(StripHTML($_REQUEST['url']),get_magic_quotes_gpc()) . "
	WHERE conid = " . $_REQUEST['conid'];
	// Executing the query
	$result = $db->Execute($query);
 	if ($result == false) die(msg('Query Failed'));
 	// Showing that it worked
	header("Location: ".$BASE_URL_SCHEME."://".$_SERVER['SERVER_NAME']."/".substr($_SERVER['PHP_SELF'], 1, strrpos($_SERVER['PHP_SELF'],"/")) . "ShowContacts.php?Info=" . msg('The contact is successfully updated'));
	exit;
}

// Making database connection and fetching record
$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
$result = $db->Execute("SELECT * FROM myorgbook_contacts WHERE conid = " . $_REQUEST['conid']);
if ($result == false) die(msg('Query Failed'));
$r = $result->fields;
$conid	= $r["conid"];
$fname	= $r["fname"];
$lname	= $r["lname"];
$mint	= $r["mint"];
$hphone	= $r["hphone"];
$bphone	= $r["bphone"];
$cphone	= $r["cphone"];
$fax	= $r["fax"];
$pager	= $r["pager"];
$email1	= $r["email1"];
$email2	= $r["email2"];
$address= $r["address"];
$address2= $r["address2"];          
$city	= $r["city"];
$state	= $r["state"];
$zip	= $r["zip"];
$country= $r["country"];
$url	= $r["url"];
$comments= $r["comments"];


// Setup the template
$MyPage = New Template("Templates/$Theme/");
$MyPage->set_file(array("MyHeaderHandle" => "header.tpl",
			"MyFileHandle" => "updatecontact.tpl"));

// Setting the variables
include ('inc/Templateheader.inc');

// parsing header
$MyPage->parse("header","MyHeaderHandle",true);

// Filling static data
$MyPage->set_var("Update Contact",msg('Update Contact'));
$MyPage->set_var("First Name:",msg('First Name:'));
$MyPage->set_var("Last Name:",msg('Last Name:'));
$MyPage->set_var("Middle Initial:",msg('Middle Initial:'));
$MyPage->set_var("Home Phone:",msg('Home Phone:'));
$MyPage->set_var("Work Phone:",msg('Work Phone:'));
$MyPage->set_var("Cell Phone:",msg('Cell Phone:'));
$MyPage->set_var("Fax:",msg('Fax:'));
$MyPage->set_var("Pager:",msg('Pager:'));
$MyPage->set_var("Email:",msg('Email:'));
$MyPage->set_var("Email #2:",msg('Email #2:'));
$MyPage->set_var("Address:",msg('Address:'));
$MyPage->set_var("Address #2:",msg('Address #2:'));
$MyPage->set_var("City:",msg('City:'));
$MyPage->set_var("State:",msg('State:'));
$MyPage->set_var("Zipcode:",msg('Zipcode:'));
$MyPage->set_var("Country:",msg('Country:'));
$MyPage->set_var("URL:",msg('URL:'));
$MyPage->set_var("Additional Comments:",msg('Additional Comments:'));
$MyPage->set_var("check message length",msg('check message length'));
$MyPage->set_var("Contacts",msg('Contacts'));
$MyPage->set_var("Back",msg('Back'));
$MyPage->set_var("NegLang",$_SESSION["Language"]);
$MyPage->set_var("Email",msg('Email'));
$MyPage->set_var("Delete",msg('Delete'));

// Filling dynamic data
$MyPage->set_var("conid",$conid);
$MyPage->set_var("fname",$fname);
$MyPage->set_var("lname",$lname);
$MyPage->set_var("mint",$mint);
$MyPage->set_var("hphone",$hphone);
$MyPage->set_var("bphone",$bphone);
$MyPage->set_var("cphone",$cphone);
$MyPage->set_var("fax",$fax);
$MyPage->set_var("pager",$pager);
$MyPage->set_var("email1",$email1);
$MyPage->set_var("email2",$email2);
$MyPage->set_var("address",$address);
$MyPage->set_var("address2",$address2);
$MyPage->set_var("city",$city);
$MyPage->set_var("state",$state);
$MyPage->set_var("zip",$zip);
$MyPage->set_var("country",$country);
$MyPage->set_var("url",$url);
$MyPage->set_var("comments",$comments);



//outputting page
$MyPage->pparse("output","MyFileHandle");

?>

