<?php
/*
Purpose: Administrator page

MyOrgbook V2.8

*/

include ('inc/session.inc');
include ('inc/functions.inc');
// Check if Admin
if ((isset($_SESSION["IsAdmin"])) && (!$_SESSION["IsAdmin"])) {
		include('index.php');
		exit;
}
// Check if wants to delete users
if ((isset($_REQUEST['action'])) && ($_REQUEST['action']=="DeleteUsers")) {
	if ((isset($_REQUEST['do'])) && ($_REQUEST['do']=="listdelete")) {
		echo msg('Deleting users....') . "<br>   ";
		if (!isset($_REQUEST['count'])) die(msg('Random error occured'));
		for ($i = 1; $i <= $_REQUEST['count']; $i++) {
			if (isset($_REQUEST[$i])) {
				$result = $db->Execute("DELETE FROM myorgbook_users WHERE uemail = '". $_REQUEST[$i] . "'");
				if ($result == false) die(msg('Query Failed'));
				$result = $db->Execute("DELETE FROM myorgbook_tasks WHERE uemail = '". $_REQUEST[$i] . "'");
				if ($result == false) die(msg('Query Failed'));
				$result = $db->Execute("DELETE FROM myorgbook_contacts WHERE uemail = '". $_REQUEST[$i] . "'");
				if ($result == false) die(msg('Query Failed'));
				$result = $db->Execute("DELETE FROM myorgbook_notes WHERE uemail = '". $_REQUEST[$i] . "'");
				if ($result == false) die(msg('Query Failed'));
			}
		}
		echo msg('Done') . "<br><br><a href='admin.php'>" . msg('Press here to return to admin functions.') . "</a>";
		exit;
	}

	echo msg('Select the users you want to delete and press submit') . "<form name='form1' method='post' action='admin.php?action=DeleteUsers&do=listdelete'><br><br>\n";
	$result = $db->Execute("SELECT * FROM myorgbook_users");
	if ($result === false) die(msg('Query Failed'));
	$num = $result->RecordCount();
	$i = 1;
	while (!$result->EOF) {
		$r = $result->fields;
		$firstname = $r["user_fname"];
		$lastname = $r["user_lname"];
		$email = $r["uemail"];
		$lastlogin = $r["last_login"];
		$lastlogin = date("Y, F j",$lastlogin);
		echo "<input type='checkbox' name='" . $i++ . "' value='$email'> " . $firstname . " " . $lastname . "(" . $email . "): " . $lastlogin . "<br>\n";
		$result->MoveNext();
	}
	$i--;
	echo "<br><br><input type='hidden' name='count' value='$i'><input type='submit' name='Submit' value=" . msg('Delete') . "></form>";
	exit;
}

// Checking for task delete
if ((isset($_REQUEST['action'])) && ($_REQUEST['action']=="DeleteTasks")) {
	if (isset($_REQUEST['Action'])) {
		$result = $db->Execute("DELETE FROM myorgbook_tasks WHERE date <" . $_REQUEST['MyDate']);
		if ($result == false) die(msg('Query Failed'));
		echo msg('Done') . "<br><br><a href='admin.php'>" . msg('Press here to return to admin functions.') . "</a>";
		exit;
	}
	
	include('inc/calendar.inc');
	if (!isset($_REQUEST['MyDate'])) {

		$MyDate = mktime();
	} else {
		$MyDate = $_REQUEST['MyDate'];
	}
	$month_number = date("n",$MyDate);
	$year = date("Y",$MyDate);

	echo msg('Select a date, all tasks before that date will be removed!');
	// Setting up calendar
	$cal = new AdminCalendar;
	$cal->setStartDay(1);
	$cal->dayNames = msg('DayCharNames');
	$cal->monthNames = msg('MonthNames');
	echo $cal->getMonthView($month_number, $year);
	exit;
}

// the dummy parameter on Emailform is to ensure the back link works.
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Myorgbook Admin Functions</title>
<meta http-equiv="Content-Type" content="text/html; charset=<? echo msg('iso-8859-1'); ?>">
</head>

<body>
<a href="admin.php?action=DeleteUsers"><?php echo msg('Delete Inactive Users'); ?></a><br>
<a href="admin.php?action=DeleteTasks"><?php echo msg('Delete Tasks'); ?></a><br>
<a href="EmailForm.php?Do=All&back=admin.php?dummy"><?php echo msg('Email Users'); ?></a><br>
<a href="statistics.php"><?php echo msg('Statistics'); ?></a><br>
<br>
<a href="main.php"><?php echo msg('Return to Home'); ?></a>
</body>
</html>
