<?php
/*
Purpose: Check which languages are accepted and are available

$Header: /cvsroot/myorgbook/unstable/inc/i18n.inc,v 1.8 2003/06/21 20:34:08 mik3 Exp $
$Log: i18n.inc,v $
Revision 1.8  2003/06/21 20:34:08  mik3
BugFix?

Revision 1.7  2003/06/20 22:10:09  mik3
Changed how language works, fixed bugs, made small other enhancements.......

Revision 1.6  2003/05/29 15:04:09  mik3
Changed header -> refinement

Revision 1.5  2003/05/29 15:03:35  mik3
Changed header
*/

function language_accept($accept='') {

    $lang=split(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);

    // parse http_accept_language header
    foreach($lang as $i=>$value) {
        $value=split(';', $value);
        $lang[$i]=trim($value[0]);
        }
    
    $RetVal = language_negotiate($lang, $accept);
    if ($RetVal == '') $RetVal = 'en';

    return $RetVal;
    }

function language_negotiate($ask_lang, $accept_lang) {
    if (!(is_array($ask_lang) && is_array($accept_lang))) return '';

    // if it exists exactly, or just the first two characters
    foreach($ask_lang as $lang) {
        if (in_array($lang, $accept_lang)) return $lang;
        $short_lang=substr($lang, 0, 2);
        if (in_array($short_lang, $accept_lang)) return $short_lang;
        }

    return '';
    }

?>