<?php
/*
Purpose: This is the German language file. The language is natively known as Deutsch. This is the base language file.

$Header: /cvsroot/myorgbook/unstable/lang/de/lang.php,v 1.9 2003/10/19 16:31:55 mik3 Exp $
*/

$lang = array (

// Standard stuff
'Update' => 'Aktualisieren',
'Delete' => 'Lschen',
'Details' => 'Details',
'Day' => 'Tag',
'days' => 'Tage',
'Week' => 'Woche',
'All' => 'Alle',
'Custom' => 'Benutzerdefiniert',
'Regards' => 'Freundliche Grsse',
'Not Done' => 'Nicht erledigt',
'Done' => 'Erledigt',

// Menu related
'Tasks' => 'Termine',
'Contacts' => 'Kontakte',
'Notes' => 'Notizen',
'Profile' => 'Profil',
'Logout' => 'Abmelden',
'Back' => 'Zurck',

// header
'iso-8859-1' => 'iso-8859-15', // THis is the charset of the language!
'The text is too long.\\n\\nReduce your text to 255 characters.\\nIt is currently' => 'Der Text ist zu lang.\\nBitte Text auf 255 Zeichen reduzieren.\\nEr ist momentan',
'characters long.' => 'Zeichen lang',
'Your text is' => 'Ihr Text ist',
'characters long.\\nThe maximum permitted length is 255 characters.' => 'Zeichen lang.\\nDie maximale Lnge ist auf 255 Zeichen beschrnkt.',

// E-Mail related
'E-mail services down.' => 'E-Mail Service ist temporr nicht verfgbar',
'Send E-Mail' => 'E-Mail senden',
'The e-mail has been sent' => 'Die E-Mail wurde versandt',
'To:' => 'An:',
'From:' => 'Von:',
'Subject:' => 'Betreff:',
'Body:' => 'Text:',

// General javascript related
'check message length' => 'Textlnge berprfen',

// Database related
'The SQL Query has failed, please contact the administrator.' => 'Die SQL-Abfrage konnte nicht durchgefhrt werden, bitte Administrator benachrichtigen.',
'Query Failed' => 'Abfrage fehlgeschlagen',

// Error message for weird errors (ones that shouldn't come up)
'Random error occured' => 'Ein unbekannter Fehler ist aufgetreten',

// Calendar related
'DayCharNames' => array('So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'),
'MonthNames' => array(1 => 'Januar', 'Februar', 'Mrz', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'),
'Calendar' => 'Kalender',
'First' => 'Erstes',
'Second' => 'Zweites',

// Admin
'Deleting users....' => 'Lsche Benutzer...',
'Press here to return to admin functions.' => 'Klicken Sie hier um in den Administrationsbereich zurckzugelangen.',
'Select the users you want to delete and press submit' => 'Whlen Sie die Benutzer aus, welche gelscht werden sollen und klicken Sie auf submit',
'Select a date, all tasks before that date will be removed!' => 'Alle Termine vor dem selektierten Datum werden gelscht!',
'Delete Inactive Users' => 'Inaktive Benutzer lschen',
'Delete Tasks' => 'Termine lschen',
'Return to Home' => 'Zurck zur Hauptseite',
'Statistics' => 'Statistiken',

//success screen
'Close Window' => 'Fenster schliessen',

// Main screen
'Welcome' => 'Willkommen',
'Today\'s Tasks' => 'Heutige Termine',
'Open Tasks' => 'Termine ffnen',
'Administrator functions' => 'Administrative Funktionen',
'Nothing is scheduled for today.' => 'Fr heute bestehen keine Termine',
'No notes found' => 'Keine Notizen',
'There are no open tasks.' => 'Keine offenen Termine',
'Desktop' => 'Desktop',

// Login & profile related
'The login was successful, you are now being transferred to the Welcome screen.' => 'Anmeldung erfolgreich. Sie werden auf die Hauptseite weitergeleitet.',
'Username or password not correct!' => 'Benutzername oder Passwort nicht korrekt!',
'MyOrgBook Login' => 'MyOrgBook v2.4 Login',
'Enter Email Address' => 'E-Mail Adresse eingeben',
'Password' => 'Passwort',
'Login' => 'Anmelden',
'Get a free account now!' => 'Neuen Benutzer registrieren',
'Lost your password?' => 'Passwort vergessen?',
'Choose language' => 'Sprache auswhlen',
'Remember settings' => 'Einstellungen speichern',
'Your new password is ' => 'Ihr neues Passwort lautet ',
'Click <a href=\'index.php\'>here</a> to continue' => 'Klicken Sie <a href=\'index.php\'>hier</a> um weiterzufahren',
'This page is expired.' => 'Diese Seite ist nicht mehr gltig',
'You can still use the old password to login.' => 'Sie knnen immer noch das alte Passwort fr die Anmeldung verwenden',
'Password change request for MyOrgBook' => 'Passwortnderungsanforderung fr MyOrgBook',
'Your password information has been emailed to you.' => 'Ihre Passwortinformationen wurden an Sie zugesandt.',
'No such e-mail address' => 'Diese E-Mail Adresse ist nicht vorhanden',
'Lost Account' => 'Passwort vergessen',
'Find Account' => 'Benutzer suchen',
'Username already exists please try another username' => 'Benutzername existiert bereits, bitte einen anderen auswhlen',
'Above URL will confirm the email change.\n\nRegards,\n\n' => 'Obenstehender Link besttigt die E-Mail nderung.\n\nFreundliche Grsse,\n\n',
'Myorgbook request: Email change' => 'MyOrgBook Anfrage fr E-Mail nderung',
'Your profile has been updated.' => 'Ihr Profil wurde aktualisiert',
'Your password has been updated. Remember to use it at next logon.' => 'Ihr Passwort wurde gendert. Vergessen Sie nicht, dieses fr die nchste Anmeldung zu verwenden.',
'Passwords Do Not Match. Please Retry.' => 'Passwrter stimmen nicht berein. Bitte erneut eingeben',
'Current Password is Incorrect. Please Retry.' => 'Momentanes Passwort stimmt nicht. Bitte nochmals versuchen.',
'Update My Profile' => 'Profil aktualisieren',
'Change Password' => 'Passwort ndern',
'Current Password:' => 'Aktuelles Passwort:',
'New Password:' => 'Neues Passwort:',
'Verify New Password:' => 'Neues Passwort besttigen:',

// Task related
'Task Report' => 'Terminreport',
'Generated on' => 'Erstellt',
'Task Title:' => 'Titel des Termins:',
'Date:' => 'Datum:',
'Time:' => 'Zeit:',
'Priority:' => 'Prioritt:',
'Task:' => 'Termin:',
'No Task Found' => 'Kein Termin gefunden:',
'Task report wizard' => 'Terminreport Assistent',
'Please choose a period' => 'Bitte Periode whlen',
'Update Task' => 'Termin aktualisieren',
'Add Task' => 'Termin hinzufgen',
'The status of the task is changed' => 'Der Status wurde gendert',
'The task is successfully deleted' => 'Termin gelscht',
'The task was successfully added' => 'Termin erstellt',
'The task is successfully updated' => 'Termin aktualisiert',
'Today\'s Tasks' => 'Heutige Termine',
'Report' => 'Report',
'Select' => 'Auswhlen',
'The title is a required field!' => 'Der Titel muss eingegeben werden!',

// Query interface related
'Correct syntax is:' => 'Die richtige Syntax lautet:',
'Only queries on myorgbook tables are allowed' => 'Es werden nur Abfragen in den MyOrbBook Tabellen erlaubt',
'Don\'t pretend to be someone you\'re not' => 'Geben Sie sich nicht als jemanden aus, der Sie nicht sind',
'Add uemail to the value list or use clean SQL syntax' => 'uemail zu der Werteliste hinzufgen oder genaue SQL-Syntax verwenden',
'Did you really think we would let you do something in the user table....' => 'Meinen Sie wirklich wir lassen Sie etwas in der Benutertabelle ndern?',
'Insert done' => 'Eingefgt',
'Delete done' => 'Gelscht',
'Trying to set it to a new user... Bastard!' => 'Bastard! Kann nicht an einen neuen Benutzer geknpft werden',
'Update done' => 'Aktualisiert',
'Go away, or I\'ll replace you with a very small shell script!' => 'Hau ab, oder ich ersetze Dich mit einem kleinen Shellskript!',

// Notes related
'Add note' => 'Neue Notiz',
'Note title' => 'Titel der Notiz',
'Note' => 'Inhalt',
'Update Note' => 'Notiz aktualisieren',
'Note successfully added' => 'Notiz hinzugefgt',
'Note successfully updated' => 'Notiz aktualisiert',
'Note successfully deleted' => 'Notiz gelscht',
'Notes' => 'Notizen',
'You forgot to fill in a title!' => 'Bitte Titel eingeben',

// Contacts related
'Update Contact' => 'Kontakt aktualisieren',
'The contact is successfully deleted' => 'Kontakt gelscht',
'The contact was successfully added' => 'Kontakt hinzugefgt',
'The contact is successfully updated' => 'Kontakt aktualisiert',
'Contact Details' => 'Kontakt Details',
'First Name:' => 'Vorname:',
'Last Name:' => 'Name:',
'Email:' => 'E-Mail:',
'Add Contact' => 'Kontakt hinzufgen',
'Middle Initial:' => 'Zweiter Vorname (Initial):',
'Home Phone:' => 'Telefon privat:',
'Work Phone:' => 'Telefon geschftlich:',
'Cell Phone:' => 'Mobiltelefon:',
'Fax:' => 'Fax:',
'Pager:' => 'Pager:',
'Email #2:' => 'E-Mail #2:',
'Address:' => 'Adresse:',
'Address #2:' => 'Adresse #2:',
'City:' => 'Stadt:',
'State:' => 'Bundesland/Kanton:',
'Zipcode:' => 'PLZ:',
'Country:' => 'Land:',
'URL:' => 'WWW:',
'Additional Comments:' => 'Zustzliche Angaben:',
'No Contacts found' => 'Kein Kontakt gefunden',
'Email' => 'Email',

// Changing e-mail stuff
'Above URL will complete the e-mail change. After you have confirmed the request by visiting the URL your e-mail address wil be changed.\n\nRegards,\n' => 'Obenstehender Link fhrt die E-Mail nderung durch. Sobald Sie die Anfrage besttigt haben (indem Sie diesen Link besuchen), wird Ihre E-Mail Adresse gendert.\n\nFreundliche Grsse,\n',
'Myorgbook request: Email change' => 'MyOrgBook Anfrage zur E-Mail nderung',
'The confirmation e-mail has been sent' => 'Besttigungsmail wurde versandt',
'E-mail address is changed!' => 'E-Mail Adresse wurde gendert!',

// Signup stuff
'If you didn\'t request a MyOrgBook account you can discard this e-mail or reply that this is not a request from you.\n\nMyOrgBook account information.\nYour account information is:\n' => 'Falls Sie sich nicht fr einen MyOrgBook Account angemeldet haben, ignorieren Sie diese E-Mail bitte oder antworten Sie, dass diese Anfrage nicht von Ihnen kam.\n\nMyOrgBook Account Information.\nIhre Account-Details sind:\n',
'Username: ' => 'Benutzername:',
'Password: ' => 'Passwort:',
'You can change the password after you login by choosing My Profile.\n\nRegards,\n' => 'Sie knnen das Passwort ndern, sobald Sie sich angemeldet haben. Die Option finden Sie unter Profil./n/nFreundliche Grsse,/n',
'New MyOrgBook Account at' => 'Neuer MyOrgBook Account bei',
'Congratulations you have just created a MyOrgBook account.<br>Your account information is being emailed to you. Save this information for your future use.<br>Check your e-mail for the password!' => 'Gratuliere, Sie haben soeben erfolgreich einen MyOrgBook Account erstellt.<br />Ihre Accountinformationen werden per E-Mail an Sie zugesandt. Bewahren Sie diese Informationen fr zuknftigen Gebrauch auf.<br />berprfen Sie Ihren E-Mail Account fr das Passwort!',
'Invalid First Or Last Name. Please Try Again.' => 'Ungltiger Vor- oder Nachname. Bitte erneut versuchen.',
'Invalid Email Address. Please Try Again.' => 'Ungltige E-Mail Adresse. Bitte erneut versuchen.',
'MyOrgBook New Account' => 'Neuer MyOrgBook Account',
'Please enter your first name.' => 'Bitte Vorname eingeben.',
'Please enter your last name.' => 'Bitte Name eingeben.',
'Please enter your e-mail address.' => 'Bitte E-Mail Adresse eingeben.',
'MyOrgBook Registration' => 'MyOrgBook Registration',
'Profile Information' => 'Profilinformationen',
'Please use only alphanumeric letters in name (A-Z, a-z, 1-9).' => 'Nur alphanummerische Zeichen verwenden (A-Z, a-z, 1-9).',
'Account Information' => 'Account Informationen',
'Alphanumeric characters only... Your email address will serve as the username and your temporary password will be sent to it.' => 'Nur alphanummerische Zeichen. Ihre E-Mail Adresse wird als Username verwendet und Ihr temporres Passwort wird an diese gesendet.',

// Release 2.7
// Timezone stuff
'Time settings' => 'Zeiteinstellungen',
'User settings' =>'Benutzereinstellungen',
'Time format:' => 'Zeitformat:',
'Time zone:' => 'Zeitzone:',
'Adjust tasks to same time in new TZ?' => 'Sollen die Termine an die neue Zeitzone angepasst werden?');


?>
