<?php
/*
Purpose: This is the Spanish language file. The language is natively known as Espaol.

$Header: /cvsroot/myorgbook/unstable/lang/es/lang.php,v 1.3 2003/08/26 16:51:52 mik3 Exp $
*/

$lang = array (

// Standard stuff
'Update' => 'Actualizar',
'Delete' => 'Borrar',
'Details' => 'Detalles',
'Day' => 'Dia',
'days' => 'dias',
'Week' => 'Semana',
'All' => 'Todos',
'Custom' => 'Personaliza',
'Regards' => '',
'Not Done' => 'No Hecho',
'Done' => 'Hecho',

// Menu related
'Tasks' => 'Tareas',
'Contacts' => 'Contactos',
'Notes' => 'Notas',
'Profile' => 'Perfil',
'Logout' => 'Salir',
'Back' => 'Atrs',

// header
'iso-8859-1' => '', // THis is the charset of the language!
'The text is too long.\\n\\nReduce your text to 255 characters.\\nIt is currently' => 'El texto es demasiado largo.\\n\\nReduzcalo a 255 carcteres.',
'characters long.' => 'longitud de los carcteres.',
'Your text is' => 'Su texto es',
'characters long.\\nThe maximum permitted length is 255 characters.' => 'La longitud mxima permitida es de 255 carcteres.',

// E-Mail related
'E-mail services down.' => 'El servicio de correo electrnico no funciona',
'Send E-Mail' => 'Enviar Correo Electrnico',
'The e-mail has been sent' => 'El correo electrnico ha sido enviado',
'To:' => 'Para:',
'From:' => 'Desde:',
'Subject:' => 'Sujeto:',
'Body:' => 'Cuerpo:',

// General javascript related
'check message length' => 'Revisa la longitud del mensaje',

// Database related
'The SQL Query has failed, please contact the administrator.' => 'La consulta SQL ha fallado, por favor contacte con el administrador',
'Query Failed' => 'Ha fallado la consulta (BD)',

// Error message for weird errors (ones that shouldn't come up)
'Random error occured' => 'Un error aleatorio ha ocurrido',

// Calendar related
'DayCharNames' => array( 'D','L','M', 'M', 'J', 'V', 'S',),
'MonthNames' => array(1 => 'Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'),
'Calendar' => 'Calendario',
'First' => 'Primero',
'Second' => 'Segundo',

// Admin
'Deleting users....' => 'Borrando usuarios....',
'Press here to return to admin functions.' => 'Pulse aqu para volver a las funciones del administrador.',
'Select the users you want to delete and press submit' => 'Seleccione los usuarios que quiere borrar y pulse enviar(submit)',
'Select a date, all tasks before that date will be removed!' => 'Seleccione una fecha, todas las tareas anteriores a esta fecha se borraran!',
'Delete Inactive Users' => 'Borrar Usuarios Inactivos',
'Delete Tasks' => 'Borrar Tarea',
'Return to Home' => 'Volver a la pgina principal',
'Statistics' => 'Estadsticas',

//success screen
'Close Window' => 'Cerrar Ventana',

// Main screen
'Welcome' => 'Bienvenido/a',
'Today\'s Tasks' => 'Las Tareas de hoy',
'Open Tasks' => 'Abrir Tarea',
'Administrator functions' => 'Funciones del Administrador',
'Nothing is scheduled for today.' => 'No hay ninguna programada para hoy',
'No notes found' => 'No se han encontrado notas',
'There are no open tasks.' => 'No hay tareas abiertas',
'Desktop' => 'Escritorio',

// Login & profile related
'The login was successful, you are now being transferred to the Welcome screen.' => 'Se ha logeado correctamente, ahora le redireccionamos a su zona privada',
'Username or password not correct!' => 'Su nombre de usuario o contrasea son incorrectos!',
'MyOrgBook Login' => 'MyOrgBook Login',
'Enter Email Address' => 'Introduzca su direccin de correo electrnico',
'Password' => 'Contrasea',
'Login' => 'Login',
'Get a free account now!' => 'Obten ahora una cuenta gratis!',
'Lost your password?' => 'Ha perdido su contrasea?',
'Choose language' => 'Seleccione un lenguaje',
'Remember settings' => 'Recordar configuracin',
'Your new password is ' => 'Su nueva contrasea es',
'Click <a href=\'index.php\'>here</a> to continue' => 'Pulse <a href=\'index.php\'>aqu</a> para continuar',
'This page is expired.' => 'Esta pgina ha expirado',
'You can still use the old password to login.' => 'Aun puede utilizar su antigua contrasea para logearse',
'Password change request for MyOrgBook' => 'El password cambia a peticin de MyOrgBook',
'Your password information has been emailed to you.' => 'Su contrasea ha sido enviada a su cuenta de correo electrnico ',
'No such e-mail address' => 'No se encuentra esta direccin de correo electrnico',
'Lost Account' => 'Perdida de cuenta',
'Find Account' => 'Buscar cuenta',
'Username already exists please try another username' => 'El nombre de usuario ya existe, por favor pruebe con otro',
'Above URL will confirm the email change.\n\nRegards,\n\n' => '',
'Myorgbook request: Email change' => 'Peticin a Myorgbook: Email cambiado',
'Your profile has been updated.' => 'Su perfil ha sido actualizado',
'Your password has been updated. Remember to use it at next logon.' => 'Su contrasea ha sido actualizada. Recuerde usarla en su prxima sesin',
'Passwords Do Not Match. Please Retry.' => 'Las contraseas no coinciden. Por favor vuelva a intentar.',
'Current Password is Incorrect. Please Retry.' => 'La actual contrasea es incorrecta. Por favor vuelva a intentar.',
'Update My Profile' => 'Actualizar mi Perfil',
'Change Password' => 'Cambiar Contrasea',
'Current Password:' => 'Contrasea Actual',
'New Password:' => 'Nueva Contrasea',
'Verify New Password:' => 'Verificar la nueva Contrasea',

// Task related
'Task Report' => 'Informe de Tareas',
'Generated on' => 'Generada el',
'Task Title:' => 'Nombre de la Tarea',
'Date:' => 'Dia',
'Time:' => 'Hora',
'Priority:' => 'Prioridad',
'Task:' => 'Tarea',
'No Task Found' => 'No hay Tareas',
'Task report wizard' => 'Generador de Informe de Tareas',
'Please choose a period' => 'Por favor elija un periodo',
'Update Task' => 'Actualizar Tarea',
'Add Task' => 'Aadir Tarea',
'The status of the task is changed' => 'El estado de esta tarea ha cambiado',
'The task is successfully deleted' => 'La tarea ha sido borrada satisfactoriamente',
'The task was successfully added' => 'La tarea ha sido aadida satisfactoriamente',
'The task is successfully updated' => 'La tarea ha sifo actualizada satisfactoriamente',
'Today\'s Tasks' => 'Las Tareas de Hoy',
'Report' => 'Informe',
'Select' => 'Seleccione',
'The title is a required field!' => 'El ttulo se requiere en este campo',


// Query interface related
'Correct syntax is:' => 'La sintaxs correcta es:',
'Only queries on myorgbook tables are allowed' => '',
'Don\'t pretend to be someone you\'re not' => '',
'Add uemail to the value list or use clean SQL syntax' => '',
'Did you really think we would let you do something in the user table....' => '',
'Insert done' => '',
'Delete done' => '',
'Trying to set it to a new user... Bastard!' => '',
'Update done' => '',
'Go away, or I\'ll replace you with a very small shell script!' => '',

// Notes related
'Add note' => 'Aadir nota',
'Note title' => 'Ttulo de la nota',
'Note' => 'Nota',
'Update Note' => 'Actualizar Nota',
'Note successfully added' => 'Nota aadida satisfactoriamente',
'Note successfully updated' => 'Nota actualizada satisfactoriamente',
'Note successfully deleted' => 'Nota eliminada satisfactoriamente',
'Notes' => 'Notas',
'You forgot to fill in a title!' => 'Se ha olvidado de introducir el ttulo!',

// Contacts related
'Update Contact' => 'Actualizar Contacto',
'The contact is successfully deleted' => 'El contacto ha sido borrado satisfactoriamente',
'The contact was successfully added' => 'El contacto ha sido aadido satisfactoriamente',
'The contact is successfully updated' => 'El contacto ha sido actualizado satisfactoriamente',
'Contact Details' => 'Detalles del Cotacto:',
'First Name:' => 'Nombre:',
'Last Name:' => 'Apellidos:',
'Email:' => 'Correo electrnico:',
'Add Contact' => 'Aadir Contacto',
'Middle Initial:' => '',
'Home Phone:' => 'Telfono de casa:',
'Work Phone:' => 'Telfono del trabajo:',
'Cell Phone:' => 'Telfono mbil:',
'Fax:' => 'Fax:',
'Pager:' => 'Pager (no translation)',
'Email #2:' => 'Correo electrnico alternativo:',
'Address:' => 'Direccin:',
'Address #2:' => 'Direccin #2:',
'City:' => 'Ciudad',
'State:' => 'Estado:',
'Zipcode:' => 'Cdigo postal:',
'Country:' => 'Pas:',
'URL:' => 'WEB:',
'Additional Comments:' => 'Comentarios Adicionales:',
'No Contacts found' => 'No se han encontrado contectos',
'Email' => 'Correo electrnico',

// Changing e-mail stuff
'Above URL will complete the e-mail change. After you have confirmed the request by visiting the URL your e-mail address wil be changed.\n\nRegards,\n' => '',
'Myorgbook request: Email change' => 'Peticin Myorgbook: Cambio de email',
'The confirmation e-mail has been sent' => 'La confirmacin ha sido enviada a su correo electrnico.',
'E-mail address is changed!' => 'La direccin de correo electrnico ha cambiado!',

// Signup stuff
'If you didn\'t request a MyOrgBook account you can discard this e-mail or reply that this is not a request from you.\n\nMyOrgBook account information.\nYour account information is:\n' => '',
'Username: ' => 'Nombre de usuario: ',
'Password: ' => 'Contrasea: ',
'You can change the password after you login by choosing My Profile.\n\nRegards,\n' => '',
'New MyOrgBook Account at' => 'Nueva cuenta en MyOrgBook',
'Congratulations you have just created a MyOrgBook account.<br>Your account information is being emailed to you. Save this information for your future use.<br>Check your e-mail for the password!' => 'Felicidades ha creado una cuenta en MyOrgBook.<br>La informacin de su cuenta ha sido mandada a su correo electrnico. Conserve esta inforamcin para un uso futuro<br>Revise su correo para obtener la contrasea!!',
'Invalid First Or Last Name. Please Try Again.' => 'Nombre o apellido invlido.  Por favor vuelva a intentarlo.',
'Invalid Email Address. Please Try Again.' => 'Direccin invlida de correo electrnico. Por favor vuelva a intentarlo. ',
'MyOrgBook New Account' => 'Nueva cuenta MyOrgBook',
'Please enter your first name.' => 'Por favor introduce tu nombre',
'Please enter your last name.' => 'Por favor introduce tu apellido',
'Please enter your e-mail address.' => 'Por favor introduce tu direccin de correo electrnico',
'MyOrgBook Registration' => 'Registro en MyOrgBook',
'Profile Information' => 'Informacin del Perfil',
'Please use only alphanumeric letters in name (A-Z, a-z, 1-9).' => 'Por favor use solamente letras alfanumricas en el nombre (A-Z, a-z, 1-9). ',
'Account Information' => 'Informacin de la cuenta',
'Alphanumeric characters only... Your email address will serve as the username and your temporary password will be sent to it.' => 'Solo carcteres alfanumricos... Su direccin de correo electrnico se utilizar para enviar el nombre de usuario y su contrasea temporal');

?>
