<?php
/*
Purpose: Login stuff

myorgbook v2.8

*/
if (!isset($Neg_Lang)) $Neg_Lang = $_REQUEST['Neg_Lang'];

include( 'inc/conf.inc.php');
include ('lang/' . $Neg_Lang . '/lang.php');
include ('inc/functions.inc');;
include ('inc/template.inc');

// checking for error / info messages
If (isset($_REQUEST['Info']))  {
	$Info = $_REQUEST['Info'];
} else {
	$Info = "";
}
If (isset($_REQUEST['Error'])) {
	$Error = $_REQUEST['Error'];
} else {
	$Error = "";
}

// checking for ban
if (isset($_SERVER['X_FORWARDED_FOR'])) $tmpIP = $_SERVER['X_FORWARDED_FOR'];
if (isset($_SERVER['REMOTE_ADDR'])) $tmpIP = $_SERVER['REMOTE_ADDR'];
$result = $db->Execute("SELECT * FROM myorgbook_ipsecurity WHERE IP = '$tmpIP'");
if ($result == false) die(msg('Query Failed'));
$num = $result->RecordCount();
if ($num != "0") {
	$r = $result->fields;
	if ($r['NoAccess'] == 1) {
		// Flagged for abuse clearing login and pass
		unset($_REQUEST['uemail']);
		unset($_REQUEST['password']);
		// setting bogus message
		$Error = msg('Username or password not correct!');
		// Snooooozzeee
		sleep(5);
	}
}



// Setting up some variable's
if (!isset($_REQUEST['Loginname']))
	{
		$Cookie_email = '';
	} else {
		$Cookie_email = $_REQUEST['Loginname'];
	}

// Check the password
if (isset($_REQUEST['uemail'])) {
	if (isset($_REQUEST['password']))  {

		$password = md5($_REQUEST['password']);
		$result = $db->Execute("SELECT * FROM myorgbook_users WHERE uemail = '" . $_REQUEST['uemail'] . "' and password = '$password'");
		if ($result == false) die(msg('The SQL Query has failed, please contact the administrator.'));
		$num = $result->RecordCount();
		if ($num != "0") {
			// Login succeeded
			$r = $result->fields;
			
			// use cookies
 			ini_set("session.use_cookies","1");
 			// Cookie is browser session only
 			ini_set("session.cookie_lifetime","0");

			// starting session
			session_start();
			$_SESSION['User'] = true;
			$_SESSION["First_Name"] = $r["user_fname"];
			$_SESSION["Last_Name"] = $r["user_lname"];
			$_SESSION["Email"] = $r["uemail"];
			$_SESSION["TimeFormat"] = $r["TimeFormat"];
			$_SESSION["TimeZone"] = $r["TimeZone"];
			$_SESSION["IPAddress"] = $_SERVER['REMOTE_ADDR'];
			$_SESSION["User-Agent"] = $_SERVER['HTTP_USER_AGENT'];
			$_SESSION["Language"] = $_REQUEST['Selected_Language'];
			// Checking for Admin
			if ($r["IsAdmin"]) {
				$_SESSION["IsAdmin"] = 1;
			} else {
				$_SESSION["IsAdmin"] = 0;
			}
			
			if (isset($_REQUEST['WantCookie'])) {
				$Cookie_expire = time()+31536000;
				setcookie("Loginname",$r["uemail"],$Cookie_expire);
				setcookie("Language",$_REQUEST['Selected_Language'],$Cookie_expire);
			}
			
			// register last login time
			$Timestamp = strtotime ("now");
			$result2 = $db->Execute("UPDATE myorgbook_users SET last_login = '$Timestamp' WHERE uemail = '" . $_SESSION["Email"] . "'");
			if ($result2 == false) die(msg('Query Failed'));

			session_write_close();

			// Filling statistics
			$db->Execute("INSERT INTO myorgbook_stat_login (timestamp,username,userip,useragent) VALUES ('$Timestamp','" . $_SESSION["Email"] . "','" . $_SESSION["IPAddress"] . "','" . $_SESSION["User-Agent"] . "')");
			// Checking for IP logs
			$result = $db->Execute("SELECT * FROM myorgbook_ipsecurity WHERE IP = '$tmpIP'");
			if ($result == false) die(msg('Query Failed'));
			$num = $result->RecordCount();
			if ($num != "0") {
				$result = $db->Execute("DELETE FROM `myorgbook_ipsecurity` WHERE `IP` = '$tmpIP'");
				if ($result == false) die(msg('Query Failed'));
			}

			header("Location: ".$BASE_URL_SCHEME."://".$_SERVER['SERVER_NAME']."/".substr($_SERVER['PHP_SELF'], 1, strrpos($_SERVER['PHP_SELF'],"/")) . "main.php");
			exit;
		} else {
			// Login Failed
			$Error = msg('Username or password not correct!');
			// Filling statistics
			$Timestamp = strtotime ("now");
			$db->Execute("INSERT INTO myorgbook_stat_login (timestamp,username,userip,useragent) VALUES ('$Timestamp','FAILED','" . $_SERVER['REMOTE_ADDR'] . "','" . $_SERVER['HTTP_USER_AGENT'] . "')");

			// store IP and adding a failed login
			$result = $db->Execute("SELECT * FROM myorgbook_ipsecurity WHERE IP = '$tmpIP'");
			if ($result == false) die(msg('Query Failed'));
			$num = $result->RecordCount();
			if ($num != "0") {
				// IP Address has history of abuse
				$r = $result->fields;
				$r["Times"] = $r["Times"] + 1;
				if ($r["Times"] >= 3) {
					// Three strikes... You're OUT!
					// We don't tell them that though. Let them try... if a password change is requested with a blocked ip the block will be removed
					$result = $db->Execute("UPDATE myorgbook_ipsecurity set NoAccess = 1 where IP = '$tmpIP'");
					if ($result == false) die(msg('Query Failed'));
				}
				$result = $db->Execute("UPDATE myorgbook_ipsecurity set Times = " . $r["Times"] . " where IP = '$tmpIP'");
				if ($result == false) die(msg('Query Failed'));
			} else {
				// Making a new record
				$result = $db->Execute("INSERT INTO myorgbook_ipsecurity (IP,Times) VALUES ('$tmpIP',1)");
				if ($result == false) die(msg('Query Failed'));
			}
			// Snooooozzeee
			sleep(5);
		}
	} 
}
// Set the template
$MyPage = New Template("Templates/" . $Theme . "/");
$MyPage->set_file(array("MyFileHandle" => "login.tpl",
			"MyError" => "error.tpl",
			"MyInfo" => "info.tpl"));
// Checking for error
if ($Error != "") {
	$MyPage->set_var("error_text",$Error);
	$MyPage->parse("Error_Element","MyError");
}
// Checking for info
if ($Info != "") {
	$MyPage->set_var("info_text",$Info);
	$MyPage->parse("Info_Element","MyInfo");
}
// Setting the variables
$MyPage->set_var("MyOrgBook Login",msg('MyOrgBook Login'));
$MyPage->set_var("Enter Email Address",msg('Enter Email Address'));
$MyPage->set_var("Password",msg('Password'));
$MyPage->set_var("Login",msg('Login'));
$MyPage->set_var("Get a free account now!",msg('Get a free account now!'));
$MyPage->set_var("Lost your password?",msg('Lost your password?'));
$MyPage->set_var("Choose language",msg('Choose language'));
$MyPage->set_var($Neg_Lang, "selected");
$MyPage->set_var("NegLang", $Neg_Lang);
$MyPage->set_var("email", $Cookie_email);
$MyPage->set_var("Remember settings", msg('Remember settings'));
$MyPage->set_var("charset",msg('iso-8859-1'));

// Getting the news
$filename = "NEWS";
if ($handle = fopen ($filename, "r")) {
	$contents = fread ($handle, filesize ($filename));
	fclose ($handle);
	$MyPage->set_var("news",$contents);
}

// Process and output
$MyPage->parse("MyFileOut","MyFileHandle");
$MyPage->p("MyFileOut");
?>
