<?php
/*
Purpose: Create a new account

MyOrgbook v2.8

*/
if (!isset($Neg_Lang)) $Neg_Lang = $_REQUEST['Neg_Lang'];

include( 'inc/conf.inc.php');
include ('lang/' . $Neg_Lang . '/lang.php');
include('inc/functions.inc');
include ('inc/template.inc');

// checking for error / info messages
If (isset($_REQUEST['Info']))  {
	$Info = $_REQUEST['Info'];
} else {
	$Info = "";
}
If (isset($_REQUEST['Error'])) {
	$Error = $_REQUEST['Error'];
} else {
	$Error = "";
}

// User has entered all the data in the webform
if (isset($_REQUEST['user_fname'])  && isset($_REQUEST['user_lname']) && isset($_REQUEST['uemail'])) {
	// check if the e-mail, first and last name is realistic
	if (eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$",$_REQUEST['uemail'])) {
		// Check for MX records and/or hostname (doesn't work on windows, function automagically succeeds then :-)
		$emailcheck = explode('@',$_REQUEST['uemail']);
		$mailhost = $emailcheck[1];
		$mailhost=$mailhost.".";
		$IsWindows = stristr(PHP_OS, "win");
		if (!is_bool($IsWindows)) $IsWindows = true;
		// next string is patched for working on windows by PleskApps (Y.Guskov)
		if ( (gethostbyname($mailhost) == $mailhost) && ( $IsWindows || (getmxrr($mailhost, $mxhosts) == FALSE) ) ) {
			$Error = msg('Invalid Email Address. Please Try Again.');
		} else {
			if ((ereg("^[ _a-zA-Z0-9-]+$",$_REQUEST['user_fname'])) && (ereg("^[ _a-zA-Z0-9-]+$",$_REQUEST['user_lname']))) {
				// checking if user already exists
				$result = $db->Execute("SELECT * FROM myorgbook_users WHERE uemail = '" . $_REQUEST['uemail'] . "'");
				if ($result === false) die(msg('Query Failed'));
				$num = $result->RecordCount();
				if($num != "0") {
					$Error =  msg('Username already exists please try another username');
				} else {
					// generating a password and putting all the info in the database
					srand ((double) microtime() * 1000000);
					$string = md5(microtime());
					$password = substr($string, 0, 8);
					$MD5Password = md5($password);
					$user_lname = StripHTML($_REQUEST['user_lname']);
					$user_fname = StripHTML($_REQUEST['user_fname']);
					if ($MyEmail != $_REQUEST['uemail']) {
						$result = $db->Execute("INSERT INTO myorgbook_users(uemail, password, user_lname, user_fname, last_login,TimeFormat,TimeZone) VALUES ('" .$_REQUEST['uemail'] . "','$MD5Password', '$user_lname', '$user_fname', " . strtotime ("now") . ",1,'0')");
					} else {
						$result = $db->Execute("INSERT INTO myorgbook_users(uemail, password, user_lname, user_fname, last_login, IsAdmin,TimeFormat,TimeZone) VALUES ('" .$_REQUEST['uemail'] . "','$MD5Password', '$user_lname', '$user_fname', " . strtotime ("now") . ",1,1,'0')");
					}
					if ($result === false) die(msg('Query Failed'));

					// Sending out an e-mail with the password
					include ('mail/htmlMimeMail.php');
					$mail = new htmlMimeMail();
					$TextBody = msg("If you didn't request a MyOrgBook account you can discard this e-mail or reply that this is not a request from you.\n\nMyOrgBook account information.\nYour account information is:\n");
					$TextBody .= msg('Username: ') . $_REQUEST['uemail'] . "\n" . msg('Password: ');
					$TextBody .= " $password\n\n" . msg("You can change the password after you login by choosing My Profile.\n\nRegards,\n") . $MyName;
					$HTMLBody = nl2br($TextBody);
					$mail->setHTML($HTMLBody,$TextBody);
					$mail->setSubject('New MyOrgBook Account at' . " " . $BASE_URL_SCHEME."://".$_SERVER['SERVER_NAME']."/".substr($_SERVER['PHP_SELF'], 1, strrpos($_SERVER['PHP_SELF'],"/")));
					$mail->setFrom($MyName . '<' . $MyEmail . '>');
					$result = $mail->send(array($_REQUEST['uemail']));

					$Timestamp = strtotime ("now");
					$db->Execute("INSERT INTO myorgbook_stat_newusers (timestamp,username) VALUES ('$Timestamp','" . $_REQUEST['uemail'] . "')");

					if ($result == true) {
						header("Location: ".$BASE_URL_SCHEME."://".$_SERVER['SERVER_NAME']."/".substr($_SERVER['PHP_SELF'], 1, strrpos($_SERVER['PHP_SELF'],"/")) . "login.php?Neg_Lang=" . $_REQUEST['Neg_Lang'] . "&Info=" . msg('Congratulations you have just created a MyOrgBook account.<br>Your account information is being emailed to you. Save this information for your future use.<br>Check your e-mail for the password!'));
						exit;
					}
					header("Location: ".$BASE_URL_SCHEME."://".$_SERVER['SERVER_NAME']."/".substr($_SERVER['PHP_SELF'], 1, strrpos($_SERVER['PHP_SELF'],"/")) . "login.php?Neg_Lang=" . $_REQUEST['Neg_Lang'] . "&Error=" . msg('E-mail services down.'));
					exit;
				}
			} else {
				// first or last name is incorrect
				$Error = msg('Invalid First Or Last Name. Please Try Again.');
			}
		}
	} else {
		// e-mail address is not realistic
		$Error = msg('Invalid Email Address. Please Try Again.');
	}
}

//Defining templates
$MyPage = New Template("Templates/" . $Theme . "/");
$MyPage->set_file(array("MyFileHandle" => "signup.tpl",
		  "MyError" => "error.tpl",
		  "MyInfo" => "info.tpl"));
// Checking for error
if ($Error != "") {
	$MyPage->set_var("error_text",$Error);
	$MyPage->parse("Error_Element","MyError");
}
// Checking for info
if ($Info != "") {
	$MyPage->set_var("info_text",$Info);
	$MyPage->parse("Info_Element","MyInfo");
}
// Setting the variables
$MyPage->set_var("MyOrgBook New Account",msg('MyOrgBook New Account'));
$MyPage->set_var("Please enter your first name.",msg('Please enter your first name.'));
$MyPage->set_var("Please enter your last name.",msg('Please enter your last name.'));
$MyPage->set_var("Please enter your e-mail address.",msg('Please enter your e-mail address.'));
$MyPage->set_var("MyOrgBook Registration",msg('MyOrgBook Registration'));
$MyPage->set_var("Profile Information",msg('Profile Information'));
$MyPage->set_var("First Name:",msg('First Name:'));
$MyPage->set_var("Please use only alphanumeric letters in name (A-Z, a-z, 1-9).",msg('Please use only alphanumeric letters in name (A-Z, a-z, 1-9).'));
$MyPage->set_var("Last Name:",msg('Last Name:'));
$MyPage->set_var("Account Information", msg('Account Information'));
$MyPage->set_var("Email:",msg('Email:'));
$MyPage->set_var("Alphanumeric characters only... Your email address will serve as the username and your temporary password will be sent to it.",msg('Alphanumeric characters only... Your email address will serve as the username and your temporary password will be sent to it.'));
$MyPage->set_var("Get a free account now!",msg('Get a free account now!'));
$MyPage->set_var("NegLang",$_REQUEST['Neg_Lang']);
$MyPage->set_var("charset",msg('iso-8859-1'));
$MyPage->set_var("Back",msg('Back'));
// Process and output
$MyPage->parse("MyFileOut","MyFileHandle");
$MyPage->p("MyFileOut");

?>


