<?php
/*
Purpose: Sending out reminder mails

MyOrgbook V2.8


*/
include('inc/conf.inc.php');
include('inc/functions.inc');
include ('mail/htmlMimeMail.php');

// Find all the tasks that are due today.
$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
$date1 = mktime(0,0,1,date('n'),date('j'),date('y'));
$date2 = mktime(23,59,59,date('n'),date('j'),date('y'));

//Query to get all the users who have a reminder date between the start of today and the end of today.
$query = "SELECT * FROM myorgbook_tasks WHERE taskdone = 0 AND reminder_date BETWEEN '$date1' AND '$date2' ORDER BY 'uemail'";

//Run the query
$result = $db->Execute($query);
if ($result == false) die(msg('Query Failed'));

//Record number of results
$num = $result->RecordCount();

if ($num == "0") {
	// TODO: Add statistics here and everywhere. Point: This is only temp empty
} else {
	while (!$result->EOF) {

		$r = $result->fields;

		$ttitle = $r["ttitle"];
		$taskid = $r["taskid"];

		$date = $r["date"];
		$time = date("G:i",$date);

		$uemail = $r["uemail"];
		$task = $time . "\n\n" . $r["task"];
		$reminder_date = $r["reminder_date"];

		$mail = new htmlMimeMail();
		$mail->setHTML($task,StripHTML($task));
		$mail->setSubject("Reminder: " . $ttitle);
		$mail->setFrom($MyName . '<' . $MyEmail . '>');
		$mail->send(array($uemail));

		$Timestamp = strtotime ("now");
		$db->Execute("INSERT INTO myorgbook_stat_reminder (timestamp,username) VALUES ('$Timestamp','" . $uemail . "')");
		$result->MoveNext();
	}

}
?>
