<?php
/*
Purpose: Show a subset or all contacts

MyOrgbook V2.8

*/

include ('inc/session.inc');
include ('inc/functions.inc');
include ('inc/template.inc');

// checking for error / info messages
If (isset($_REQUEST['Info']))  {
	$Info = $_REQUEST['Info'];
} else {
	$Info = "";
}
If (isset($_REQUEST['Error'])) {
	$Error = $_REQUEST['Error'];
} else {
	$Error = "";
}

// Setup the template
$MyPage = New Template("Templates/$Theme/");
$MyPage->set_file(array("MyHeaderHandle" => "header.tpl",
		"MyFileHandle" => "Showcontacts.tpl",
		"MyAlphabetLink" => "Showcontacts_Links.tpl",
		"MyTableElementHandle" => "Showcontacts_table_element.tpl",
		"MyError" => "error.tpl",
		"MyInfo" => "info.tpl"));

// Setting the variables
include ('inc/Templateheader.inc');

// Filling the table headers (static data)
$MyPage->set_var("First Name:",msg('First Name:'));
$MyPage->set_var("Last Name:",msg('Last Name:'));
$MyPage->set_var("Email:",msg('Email:'));
$MyPage->set_var("Delete",msg('Delete'));
$MyPage->set_var("Details",msg('Details'));
$MyPage->set_var("Contacts",msg('Contacts'));
$MyPage->set_var("Back",msg('Back'));
$MyPage->set_var("Add Contact",msg('Add Contact'));
$MyPage->set_var("Email",msg('Email'));
if (isset($_REQUEST['select'])) $MyPage->set_var("SelectedLetter",$_REQUEST['select']);

// parsing header
$MyPage->parse("header","MyHeaderHandle",true);

// Doing the alphabet :)
$Alphabetstring = "";
$alphabet = array ('a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z','all');
foreach ($alphabet as $letter) {
	$MyPage->set_var("Letter",strtoupper($letter));
	$MyPage->parse("Alphabetstring","MyAlphabetLink",true);
}

// Selecting the approriate query
if ((isset($_REQUEST['select'])) && ($_REQUEST['select'] != "ALL")) {
	$query = "SELECT * FROM myorgbook_contacts WHERE uemail = '" . $_SESSION["Email"] . "' AND lname like '" . $_REQUEST['select'] . "%' ORDER BY lname";
} else {
	$query = "SELECT * FROM myorgbook_contacts WHERE uemail = '" . $_SESSION["Email"] . "' ORDER BY lname";
}

// Executing query and getting results
$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
$result = $db->Execute($query);
if ($result == false) die(msg('Query Failed'));
// If nothing to report, report that
if ($result->RecordCount() == 0)  {
	if ($Info == "") {
		$Info = msg('No Contacts found');
	} else {
		$Info .= " --- " . msg('No Contacts found');
	}
	$MyPage->set_var("First Name:",'');
	$MyPage->set_var("Last Name:",'');
	$MyPage->set_var("Email:",'');
}

// Checking for error
if ($Error != "") {
	$MyPage->set_var("error_text",$Error);
	$MyPage->parse("Error_Element","MyError");
}
// Checking for info
if ($Info != "") {
	$MyPage->set_var("info_text",$Info);
	$MyPage->parse("Info_Element","MyInfo");
}

// Going for the dynamic content
while (!$result->EOF) {
	// retrieving the fields one by one
	$r = $result->fields;
	$fname = $r["fname"];
	$lname = $r["lname"];
	$email1 = $r["email1"];
	$conid  = $r["conid"];
	// Filling the dynamic contents (table rows)
	$MyPage->set_var("fname",$fname);
	$MyPage->set_var("lname",$lname);
	$MyPage->set_var("email1",$email1);
	$MyPage->set_var("conid",$conid);
	// parsing info
	$MyPage->parse("Report_content","MyTableElementHandle",true);
	// moving to next record
	$result->MoveNext();
}
// Parsing complete page
$MyPage->pparse("output","MyFileHandle");
?>
