<?php
/*
Purpose: Show a year calendar

$Header: /cvsroot/myorgbook/unstable/YearCal.php,v 1.8 2003/08/10 15:30:09 mik3 Exp $
$Log: YearCal.php,v $
Revision 1.8  2003/08/10 15:30:09  mik3
Bugfix: When selecting yearcal, the date didn't get carried.

Revision 1.7  2003/08/02 13:44:38  mik3
Layout changes, language changes, theme support changes. Iow version 2.5

Revision 1.6  2003/06/20 22:04:22  mik3
Changed how language works, fixed bugs, made small other enhancements.......

*/

include ('inc/session.inc');
include ('inc/functions.inc');
include ('inc/calendar.inc');
include ('inc/template.inc');

//Setting up calendar
if (!isset($_REQUEST['year']))
{
	$d = getdate(time());
	$year = $d['year'];
} else {
	$year = $_REQUEST['year'];
}
$cal = new YearCalendar;
$cal->setStartDay(1);
$cal->dayNames = msg('DayCharNames');
$cal->monthNames = msg('MonthNames');


//Defining templates
$MyPage = New Template("Templates/$Theme/");
$MyPage->set_file(array("MyHeaderHandle" => "header.tpl",
			"MyFileHandle" => "YearCal.tpl"));
// Setting the variables
$MyPage->set_var("YearCalendar",$cal->getYearView($year));
$MyPage->set_var("Calendar",msg('Calendar'));
$MyPage->set_var("Back",msg('Back'));
$MyPage->set_var("Add Task",msg('Add Task'));
$MyPage->set_var("Report",msg('Report'));
$MyPage->set_var("MyDate",$_REQUEST['MyDate']);
// Outputting it all
$MyPage->parse("header","MyHeaderHandle",true);
$MyPage->parse("MyFileOut","MyFileHandle");
$MyPage->p("MyFileOut");
?>
