<?php
/*
Purpose: This is the French language file. The language is natively known as Franais.

$Header: /cvsroot/myorgbook/unstable/lang/fr/lang.php,v 1.2 2003/09/04 18:16:37 mik3 Exp $
*/

$lang = array (

// Standard stuff
'Update' => 'Modifier',
'Delete' => 'Supprimer',
'Details' => '',
'Day' => 'Jour',
'days' => 'jours',
'Week' => 'Semaine',
'All' => 'Tous',
'Custom' => 'Personnaliser',
'Regards' => 'Cordialement',
'Not Done' => 'Pas Fait',
'Done' => 'Fait',

// Menu related
'Tasks' => 'Tches',
'Contacts' => '',
'Notes' => '',
'Profile' => 'Profil',
'Logout' => 'Dconnexion',
'Back' => 'Retour',

// header
'iso-8859-1' => '', // THis is the charset of the language!
'The text is too long.\\n\\nReduce your text to 255 characters.\\nIt is currently' => '',
'characters long.' => 'caractres.',
'Your text is' => 'Votre texte fait',
'characters long.\\nThe maximum permitted length is 255 characters.' => 'caractres.\\nLa longueur maximale permise est de 255 caractres.',

// E-Mail related
'E-mail services down.' => 'Le service mail est innoprant.',
'Send E-Mail' => 'Envoyer un courriel',
'The e-mail has been sent' => 'Le courrier a bien t envoy.',
'To:' => 'A:',
'From:' => 'De:',
'Subject:' => 'Sujet:',
'Body:' => 'Message:',

// General javascript related
'check message length' => 'Vrifier la longueur du message',

// Database related
'The SQL Query has failed, please contact the administrator.' => 'La requte SQL a chou, veuillez contacter l\'administrateur',
'Query Failed' => 'La requte a chou',

// Error message for weird errors (ones that shouldn't come up)
'Random error occured' => 'Une erreur trange est survenue',

// Calendar related
'DayCharNames' => array('D', 'L', 'M', 'M', 'J', 'V', 'S'),
'MonthNames' => array(1 => 'Janvier', 'Fvrier', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Aot', 'Septembre', 'Octobre', 'Novembre', 'Decembre'),
'Calendar' => 'Calendrier',
'First' => 'Premier',
'Second' => '',

// Admin
'Deleting users....' => 'Suppression des utilisateurs....',
'Press here to return to admin functions.' => '',
'Select the users you want to delete and press submit' => 'Selectionnez les utilisateurs que vous voulez supprimer et soumettez votre demande',
'Select a date, all tasks before that date will be removed!' => 'Selectionnez une date, toutes les tches antrieures  cette date seront supprimes!',
'Delete Inactive Users' => 'Supprimer des utilisateurs inactifs',
'Delete Tasks' => 'Supprimer des tches',
'Return to Home' => 'Retourn  l\'accueil',
'Statistics' => 'Statistiques',

//success screen
'Close Window' => 'Fermer la fentre',

// Main screen
'Welcome' => 'Bienvenue',
'Today\'s Tasks' => 'Les tches pour aujourd\'hui',
'Open Tasks' => 'Tches  venir',
'Administrator functions' => 'fonctions administrateur',
'Nothing is scheduled for today.' => 'Rien n\'est prvu pour aujourd\'hui.',
'No notes found' => 'Pas de notes',
'There are no open tasks.' => 'Il n\'y a pas de tches ouvertes',
'Desktop' => 'Bureau',

// Login & profile related
'The login was successful, you are now being transferred to the Welcome screen.' => '',
'Username or password not correct!' => 'L\'identifiant ou le mot de passe est incorrect',
'MyOrgBook Login' => 'Identification MyOrgBook',
'Enter Email Address' => 'Entrez votre adresse e-mail',
'Password' => 'Mot de passe',
'Login' => 'Identifiant',
'Get a free account now!' => 'Inscrivez-vous gratuitement!',
'Lost your password?' => 'Mot de passe perdu?',
'Choose language' => 'Choisissez une langue',
'Remember settings' => 'Se rappeller de ces choix.',
'Your new password is ' => 'Votre nouveau mot de passe est ',
'Click <a href=\'index.php\'>here</a> to continue' => 'Cliquer <a href=\'index.php\'>ici</a> pour continuer',
'This page is expired.' => 'Cette page a expir.',
'You can still use the old password to login.' => 'Vous pouvez toujours utiliser l\'ancien mot de passe pour vous connecter.',
'Password change request for MyOrgBook' => 'requte de MyOrgBook: changement de mot de passe',
'Your password information has been emailed to you.' => 'Votre mot de passe vient de vous tre envoy par courrier.',
'No such e-mail address' => 'Adresse e-mail innexistante',
'Lost Account' => 'Compte perdu',
'Find Account' => 'Trouver un compte',
'Username already exists please try another username' => 'Cette identifiant existe dj, veuillez en essayer un autre.',
'Above URL will confirm the email change.\n\nRegards,\n\n' => 'Aller  l\'adresse suivante confirmera le changement d\'email.\n\nCordialement,\n\n',
'Myorgbook request: Email change' => 'Requte de Myorgbook: modification d\'e-mail',
'Your profile has been updated.' => 'Votre profil a t modifi.',
'Your password has been updated. Remember to use it at next logon.' => 'Votre mot de passe  t modifi. Rappeller vous de l\'utiliser  la prochaine connection',
'Passwords Do Not Match. Please Retry.' => 'Les mots de passent ne concordent pas. Veuillez ressayer.',
'Current Password is Incorrect. Please Retry.' => 'Le mot de passe est erron. Veuillez ressayer.',
'Update My Profile' => 'Modification de mon profil',
'Change Password' => 'Changement de mot de passe',
'Current Password:' => 'Mot de passe actuel:',
'New Password:' => 'Nouveau mot de passe:',
'Verify New Password:' => 'Vrification du nouveau mot de passe:',

// Task related
'Task Report' => 'Rapport de tche',
'Generated on' => 'Gnr le',
'Task Title:' => 'Titre',
'Date:' => 'Date:',
'Time:' => 'Heure:',
'Priority:' => 'Priorit',
'Task:' => 'Tche',
'No Task Found' => 'Aucune tche',
'Task report wizard' => 'Assistant de rapport de tche',
'Please choose a period' => 'Veuillez choisir une priode',
'Update Task' => 'Modifier une tche',
'Add Task' => 'Ajouter une tche',
'The status of the task is changed' => 'Le statut de la tche est modifi',
'The task is successfully deleted' => 'La tche a t supprime avec succs',
'The task was successfully added' => 'La tche a t ajoute avec succs',
'The task is successfully updated' => 'La tche a t modifie avec succs',
'Today\'s Tasks' => 'Tches du jour',
'Report' => 'Rapport',
'Select' => 'Selectionner',
'The title is a required field!' => 'Le titre est un champ obligatoire!',

// Query interface related
'Correct syntax is:' => 'La syntaxe correcte est:',
'Only queries on myorgbook tables are allowed' => 'Seules les requtes sur les tables de myorgbook sont permises',
'Don\'t pretend to be someone you\'re not' => 'Ne prtendez tre quelqu\'un d\'autre',
'Add uemail to the value list or use clean SQL syntax' => 'Ajouter un email  la liste de valeurs o utilise une syntaxe SQL propre',
'Did you really think we would let you do something in the user table....' => 'Vous pensiez vraiment qu\'on vous aurait laiss faire quelquechose dans la table "user"....',
'Insert done' => 'Insertion effectue',
'Delete done' => 'Suppression effectue',
'Trying to set it to a new user... Bastard!' => 'En train de l\'attribuer  un nouvel utilisateur... Fesse de poulpe!',
'Update done' => 'Changement effectu',
'Go away, or I\'ll replace you with a very small shell script!' => 'File avant que je ne te transforme en minuscule script shell!',

// Notes related
'Add note' => 'Ajouter une note',
'Note title' => 'Titre',
'Note' => '',
'Update Note' => 'Modifier une note',
'Note successfully added' => 'Ajout de note russi',
'Note successfully updated' => 'Modification de note russie',
'Note successfully deleted' => 'Effacement de note russi',
'Notes' => '',
'You forgot to fill in a title!' => 'Vous avez oubli le titre!',

// Contacts related
'Update Contact' => 'Modifier un contact',
'The contact is successfully deleted' => 'Contact supprim avec succs',
'The contact was successfully added' => 'Contact ajout avec succs',
'The contact is successfully updated' => 'Contact modifi avec succs',
'Contact Details' => 'Dtail du contact',
'First Name:' => 'Prnom:',
'Last Name:' => 'Nom:',
'Email:' => '',
'Add Contact' => 'Ajouter un contact',
'Middle Initial:' => 'Particule intermdiaire',
'Home Phone:' => 'Tlphone:',
'Work Phone:' => 'Travail:',
'Cell Phone:' => 'Mobile:',
'Fax:' => '',
'Pager:' => '',
'Email #2:' => '',
'Address:' => 'Adresse:',
'Address #2:' => 'Adresse #2:',
'City:' => 'Ville',
'State:' => 'Etat/Rgion',
'Zipcode:' => 'Code postal',
'Country:' => 'Pays',
'URL:' => '',
'Additional Comments:' => 'Commentaires:',
'No Contacts found' => 'Aucun contact',
'Email' => '',

// Changing e-mail stuff
'Above URL will complete the e-mail change. After you have confirmed the request by visiting the URL your e-mail address wil be changed.\n\nRegards,\n' => 'Aller  l\'adresse prcdente confirmera le changement d\'e-mail.\n\nCordialement,\n',
'Myorgbook request: Email change' => 'Requte de Myorgbook: changement d\'e-mail',
'The confirmation e-mail has been sent' => 'Le courrier de confirmation vient d\'tre envoy',
'E-mail address is changed!' => 'L\'adresse e-mail a chang!',

// Signup stuff
'If you didn\'t request a MyOrgBook account you can discard this e-mail or reply that this is not a request from you.\n\nMyOrgBook account information.\nYour account information is:\n' => 'Si vous n\'avez pas demander  vous inscrire sur MyOrgBook vous pouvez ignorer ce courrier ou rpondre que la demande n\'mane pas de vous.\n\nInformations d\'inscription sur MyOrgBook:\n',
'Username: ' => 'Identifiant: ',
'Password: ' => 'Mot de passe: ',
'You can change the password after you login by choosing My Profile.\n\nRegards,\n' => 'Vous pouvez modifier le mot de passe aprs votre identification en choisissant "Profil"',
'New MyOrgBook Account at' => 'Nouveau compte MyOrgBook  ',
'Congratulations you have just created a MyOrgBook account.<br>Your account information is being emailed to you. Save this information for your future use.<br>Check your e-mail for the password!' => 'Flicitations vous venez de vous inscrire pour MyOrgBook.<br>Vos informations d\'inscription viennent de vous tre envoy par e-mail. Notez-les pour un usage futur.<br>Guettez votre courrier, il contient votre mot de passe!',
'Invalid First Or Last Name. Please Try Again.' => 'Nom ou prnom invalide. Veuillez ressayer.',
'Invalid Email Address. Please Try Again.' => 'Adresse e-mail invalide. Veuillez ressayer.',
'MyOrgBook New Account' => 'Nouvelle inscription MyOrgBook',
'Please enter your first name.' => 'Veuillez entrer votre prnom',
'Please enter your last name.' => 'Veuillez entrer votre nom',
'Please enter your e-mail address.' => 'Veuillez entrer votre adresse e-mail',
'MyOrgBook Registration' => 'Inscription  MyOrgBook',
'Profile Information' => 'Information du profil',
'Please use only alphanumeric letters in name (A-Z, a-z, 1-9).' => 'Veuillez n\'utiliser que des caractres alphanumeriques dans le nom (A-Z, a-z, 1-9).',
'Account Information' => 'Information d\'inscription',
'Alphanumeric characters only... Your email address will serve as the username and your temporary password will be sent to it.' => 'Caractres alphanumeriques seulement... Votre adresse e-mail servira d\'identifiant et votre mot de passe temporaire va y tre envoy.');

?>
