<?php
/*
Purpose: This is the English language file. The language is natively known as English. This is the base language file.

$Header: /cvsroot/myorgbook/unstable/lang/nl/lang.php,v 1.7 2003/10/19 14:31:48 mik3 Exp $
*/

$lang = array (

// Standard stuff
'Update' => 'Verwerken',
'Delete' => 'Verwijderen',
'Details' => 'Details',
'Day' => 'Dag',
'days' => '',
'Week' => 'Week',
'All' => 'Allen',
'Custom' => 'Speciaal',
'Regards' => 'Met vriendelijke groet',
'Not Done' => 'Niet Af',
'Done' => 'Af',

// Menu related
'Tasks' => 'Taken',
'Contacts' => 'Contacten',
'Notes' => 'Notities',
'Profile' => 'Instellingen',
'Logout' => 'Afmelden',
'Back' => 'Terug',

// header
'iso-8859-1' => '', // THis is the charset of the language!
'The text is too long.\\n\\nReduce your text to 255 characters.\\nIt is currently' => 'De tekst is te lang.\\nVerminder het aantal tekens tot 255.\\nHet is nu',
'characters long.' => 'tekens lang.',
'Your text is' => 'Uw tekst is',
'characters long.\\nThe maximum permitted length is 255 characters.' => 'tekens lang.\\n Het maximum mogelijk is 255 tekens.',

// E-Mail related
'E-mail services down.' => 'E-mail doet het niet.',
'Send E-Mail' => 'Stuur e-mail',
'The e-mail has been sent' => 'De e-mail is verstuurd',
'To:' => 'Naar:',
'From:' => 'Van:',
'Subject:' => 'Onderwerp:',
'Body:' => 'Tekst:',

// General javascript related
'check message length' => 'Controleer tekst lengte',

// Database related
'The SQL Query has failed, please contact the administrator.' => 'De SQL zoekopdracht is mislukt, zoek contact met de beheerder.',
'Query Failed' => 'Zoekopdracht mislukt',

// Error message for weird errors (ones that shouldn't come up)
'Random error occured' => 'Een onbekende (en onverwachte) fout is opgetreden',

// Calendar related
'DayCharNames' => array('Zo', 'Ma', 'Di', 'Wo', 'Do', 'Vr', 'Za'),
'MonthNames' => array(1 => 'Januari', 'Februari', 'Maart', 'April', 'Mei', 'Juni', 'Juli', 'Augustus', 'September', 'Oktober', 'November', 'December'),
'Calendar' => 'Kalender',
'First' => 'Eerste',
'Second' => 'Tweede',

// Admin
'Deleting users....' => 'Gebruikers worden verwijderd....',
'Press here to return to admin functions.' => 'Klik hier om naar de beheer functies terug te keren.',
'Select the users you want to delete and press submit' => 'Selecteer de gebruikers die u wilt verwijderen en klik op submit.',
'Select a date, all tasks before that date will be removed!' => 'Selecteer een datum, alle taken voor die datum zullen worden verwijderd.',
'Delete Inactive Users' => 'Verwijder inactieve gebruikers',
'Delete Tasks' => 'Verwijder taken',
'Return to Home' => 'Keer terug naar start.',
'Statistics' => 'Statistieken',

//success screen
'Close Window' => 'Sluit window',

// Main screen
'Welcome' => 'Welkom',
'Today\'s Tasks' => 'Vandaag\'s taken',
'Open Tasks' => 'Open taken',
'Administrator functions' => 'Beheer functies',
'Nothing is scheduled for today.' => 'Er is niets gepland voor vandaag.',
'No notes found' => 'Geen notities gevonden',
'There are no open tasks.' => 'Er zijn geen open taken',
'Desktop' => 'Bureaublad',

// Login & profile related
'The login was successful, you are now being transferred to the Welcome screen.' => 'De login was succesvol, u wordt verwezen naar het start scherm.',
'Username or password not correct!' => 'Gebruikersnaam of paswoord niet correct!',
'MyOrgBook Login' => '',
'Enter Email Address' => 'Email adres',
'Password' => 'Paswoord',
'Login' => 'Login',
'Get a free account now!' => 'Neem een gratis account.',
'Lost your password?' => 'Uw paswoord vergeten?',
'Choose language' => 'Kies taal',
'Remember settings' => 'Herinneer instellingen',
'Your new password is ' => 'Uw nieuwe paswoord is ',
'Click <a href=\'index.php\'>here</a> to continue' => 'Klik <a href=\'index.php\'>hier</a> om verder te gaan',
'This page is expired.' => 'Deze pagina is verlopen',
'You can still use the old password to login.' => 'Uw kunt nog steeds uw oude paswoord gebruiken om in te loggen.',
'Password change request for MyOrgBook' => 'Verzoek tot wijziging paswoord voor MyOrgBook',
'Your password information has been emailed to you.' => 'Uw paswoord informatie is naar u toe gestuurd',
'No such e-mail address' => 'E-mail adres is niet bekend',
'Lost Account' => 'Account kwijt',
'Find Account' => 'Account vinden',
'Username already exists please try another username' => 'Gebruikersnaam bestaat al, probeer een andere.',
'Above URL will confirm the email change.\n\nRegards,\n\n' => 'Bovenstaande URL zal de verandering bevestigen.\n\nVriendelijke groet,\n\n',
'Myorgbook request: Email change' => 'Myorgbook verzoek: Email verandering',
'Your profile has been updated.' => 'Uw profiel is gewijzigd',
'Your password has been updated. Remember to use it at next logon.' => 'Uw paswoord is gewijzigd. Vergeet niet het te gebruiken bij uw volgende login.',
'Passwords Do Not Match. Please Retry.' => 'Paswoorden zijn niet gelijk, probeer opnieuw.',
'Current Password is Incorrect. Please Retry.' => 'Huidige paswoord is niet correct, probeer opnieuw.',
'Update My Profile' => 'Verander mijn profiel',
'Change Password' => 'Verander paswoord',
'Current Password:' => 'Huidig paswoord:',
'New Password:' => 'Nieuw paswoord:',
'Verify New Password:' => 'Bevestig nieuw paswoord:',

// Task related
'Task Report' => 'Taken rapport',
'Generated on' => 'Gegenereerd op',
'Task Title:' => 'Taak titel',
'Date:' => 'Datum:',
'Time:' => 'Tijd:',
'Priority:' => 'Prioriteit:',
'Task:' => 'Taak:',
'No Task Found' => 'Geen taak gevonden',
'Task report wizard' => 'Taak rapport wizard',
'Please choose a period' => 'Kies een tijdvak',
'Update Task' => 'Verander taak',
'Add Task' => 'Voet taak toe',
'The status of the task is changed' => 'De status van de taak is veranderd.',
'The task is successfully deleted' => 'De taak is verwijderd',
'The task was successfully added' => 'De taak is toegevoegd',
'The task is successfully updated' => 'De taak is veranderd',
'Today\'s Tasks' => 'Vandaag\'s taken',
'Report' => 'Rapporteer',
'Select' => 'Selecteer',
'The title is a required field!' => 'De titel is verplicht!',

// Query interface related
'Correct syntax is:' => 'Correcte syntax is:',
'Only queries on myorgbook tables are allowed' => 'Alleen queries op myorgbook tabellen zijn toegestaan',
'Don\'t pretend to be someone you\'re not' => 'Probeer niet een andere gebruiker na te doen.',
'Add uemail to the value list or use clean SQL syntax' => 'Voeg uemail toe aan de VALUE lijst, of gebruik correcte SQL syntax',
'Did you really think we would let you do something in the user table....' => 'Dacht je nou echt wat te kunnen veranderen in de gebruikers tabel...',
'Insert done' => 'Insert gebeurd',
'Delete done' => 'Delete gedaan',
'Trying to set it to a new user... Bastard!' => 'Gebruiker proberen te veranderen.... Klootzak...',
'Update done' => 'Update gedaan',
'Go away, or I\'ll replace you with a very small shell script!' => 'Ga weg of ik vervang je door 3 regels code!',

// Notes related
'Add note' => 'Voeg notitie toe',
'Note title' => 'Notitie titel',
'Note' => 'Notitie',
'Update Note' => 'Verander notitie',
'Note successfully added' => 'Notitie succesvol toegevoegd',
'Note successfully updated' => 'Notitie succesvol veranderd',
'Note successfully deleted' => 'Notitie succesvol verwijderd',
'Notes' => 'Notities',
'You forgot to fill in a title!' => 'Uw bent een titel vergeten in te vullen!',

// Contacts related
'Update Contact' => 'Verander contact',
'The contact is successfully deleted' => 'Het contact is succesvol verwijderd',
'The contact was successfully added' => 'Het contact is succesvol toegevoegd',
'The contact is successfully updated' => 'Het contact is succesvol veranderd',
'Contact Details' => 'Contact Details',
'First Name:' => 'Voornaam:',
'Last Name:' => 'Achternaam:',
'Email:' => 'Email:',
'Add Contact' => 'Voeg contact toe',
'Middle Initial:' => 'Initiaal:',
'Home Phone:' => 'Tel. nr. Thuis:',
'Work Phone:' => 'Tel. nr. Werk:',
'Cell Phone:' => 'Tel. nr. Mobiel:',
'Fax:' => 'Tel. nr. Fax:',
'Pager:' => 'Tel. nr. Semafoon:',
'Email #2:' => 'Email #2:',
'Address:' => 'Adres:',
'Address #2:' => 'Adres #2:',
'City:' => 'Stad:',
'State:' => 'Provincie:',
'Zipcode:' => 'Postcode:',
'Country:' => 'Land:',
'URL:' => 'URL:',
'Additional Comments:' => 'Notities:',
'No Contacts found' => 'Geen contacten gevonden',
'Email' => 'Email',

// Changing e-mail stuff
'Above URL will complete the e-mail change. After you have confirmed the request by visiting the URL your e-mail address wil be changed.\n\nRegards,\n' => '',
'Myorgbook request: Email change' => '',
'The confirmation e-mail has been sent' => '',
'E-mail address is changed!' => '',

// Signup stuff
'If you didn\'t request a MyOrgBook account you can discard this e-mail or reply that this is not a request from you.\n\nMyOrgBook account information.\nYour account information is:\n' => 'Als u geen MyOrgBook account heeft aangevraagd kunt u deze mail negeren of contact zoeken.\n\nMyOrgBook account informatie.\nUw account details zijn:\n',
'Username: ' => 'Gebruikersnaam: ',
'Password: ' => 'Paswoord: ',
'You can change the password after you login by choosing My Profile.\n\nRegards,\n' => 'U kunt uw paswoord veranderen nadat u heeft ingelogd (bij profiel). \n\nMet vr. gr.\n',
'New MyOrgBook Account at' => 'Nieuw myorgbook account op',
'Congratulations you have just created a MyOrgBook account.<br>Your account information is being emailed to you. Save this information for your future use.<br>Check your e-mail for the password!' => 'Gefeliciteerd, u heeft zojuist een nieuw MyOrgBook account aangemaakt.<br>Uw account informatie wordt per e-mail naar u toe gestuurd.',
'Invalid First Or Last Name. Please Try Again.' => 'Verkeerde tekens in voor- of achternaam, probeer opnieuw.',
'Invalid Email Address. Please Try Again.' => 'Onmogelijk e-mail adres, probeer opnieuw.',
'MyOrgBook New Account' => 'MyOrgBook nieuw account',
'Please enter your first name.' => 'Voornaam:',
'Please enter your last name.' => 'Achternaam:',
'Please enter your e-mail address.' => 'E-mail adres:',
'MyOrgBook Registration' => 'MyOrgbook Registratie',
'Profile Information' => 'Profiel Informatie',
'Please use only alphanumeric letters in name (A-Z, a-z, 1-9).' => 'Gebruik alleen maar alphanumerieke tekens in naam (A-Z, a-z, 1-9)',
'Account Information' => 'Account informatie',
'Alphanumeric characters only... Your email address will serve as the username and your temporary password will be sent to it.' => 'Alleen alfanumerieke tekens. Het e-mail adres zal worden gebruikt als login naam, het initieele paswoord zal ook naar dit e-mail adres worden gestuurd.',

// Release 2.7
// Timezone stuff
'Time settings' => 'Tijd instellingen',
'User settings' => 'Gebruikers instellingen',
'Time format:' => 'Tijd formaat:',
'Time zone:' => 'Tijdzone:',
'Adjust tasks to same time in new TZ?' => 'Verander de taken naar zelfde tijd in nieuwe tijdzone?');

?>
