<?php
/*
Purpose: Generate a new password

MyOrgbook v2.8

*/
if (!isset($Neg_Lang)) $Neg_Lang = $_REQUEST['Neg_Lang'];

include( 'inc/conf.inc.php');
include ('lang/' . $Neg_Lang . '/lang.php');
include('inc/functions.inc');
include ('inc/template.inc');

// checking for error / info messages
If (isset($_REQUEST['Info']))  {
	$Info = $_REQUEST['Info'];
} else {
	$Info = "";
}
If (isset($_REQUEST['Error'])) {
	$Error = $_REQUEST['Error'];
} else {
	$Error = "";
}

// Sent e-mail link is clicked
if (isset($_REQUEST['id']) && isset($_REQUEST['mail'])) {
	// checking for ban and removing it
	$tmpIP = ($_SERVER['X_FORWARDED_FOR']) ? $_SERVER['X_FORWARDED_FOR'] : $_SERVER['REMOTE_ADDR'];
	$result = $db->Execute("SELECT * FROM myorgbook_ipsecurity WHERE IP = '$tmpIP'");
	if ($result == false) die(msg('Query Failed'));
	$num = $result->RecordCount();
	if ($num != "0") {
		$result = $db->Execute("DELETE FROM `myorgbook_ipsecurity` WHERE `IP` = '$tmpIP'");
		if ($result == false) die(msg('Query Failed'));
	}
	// Issue a new pass if token is correct
	$result = $db->Execute("SELECT * FROM myorgbook_users WHERE uemail='" . $_REQUEST['mail'] . "' AND last_login='" . $_REQUEST['id'] . "'");
	if ($result === false) die(msg('Query Failed'));
	$num = $result->RecordCount();
	if ($num != "0") {
		// Make a new password and show it on the screen
		srand ((double) microtime() * 1000000);
		$string = md5(microtime());
		$password = substr($string, 0, 8);
		$MD5Password = md5($password);
		$result = $db->Execute("UPDATE myorgbook_users SET password = '$MD5Password' where uemail = '" . $_REQUEST['mail'] . "'");
		if ($result == false) die(msg('Query Failed'));
			header("Location: ".$BASE_URL_SCHEME."://".$_SERVER['SERVER_NAME']."/".substr($_SERVER['PHP_SELF'], 1, strrpos($_SERVER['PHP_SELF'],"/")) . "login.php?Neg_Lang=" . $_REQUEST['Neg_Lang'] . "&Info=" . msg('Your new password is ') . $password);
			exit;
	} else {
		// User logged in so the e-mail sent link is expired
		$Error = msg('This page is expired.');
	}
}

// Sent a mail with a link that can be used to generate a new password
if (isset($_REQUEST['uemail'])) {
	$result = $db->Execute("SELECT * FROM myorgbook_users WHERE uemail='" . $_REQUEST['uemail'] . "'");
	if ($result === false) die(msg('Query Failed'));
	$num = $result->RecordCount();
	if ($num != "0") {
		// Set a new random cookie id that can be used to identify the user
		$Timestamp = strtotime ("now");
		$result = $db->Execute("UPDATE myorgbook_users SET last_login = '$Timestamp' where uemail = '" . $_REQUEST['uemail'] . "'");
		if ($result == false) die(msg('Query Failed'));
		$ChangeURL = $BASE_URL_SCHEME."://".$_SERVER['SERVER_NAME']."/".substr($_SERVER['PHP_SELF'], 1, strrpos($_SERVER['PHP_SELF'],"/")) . "lostpassword.php?id=" . $Timestamp . "&mail=" . $_REQUEST['uemail'] . "&Neg_Lang=" . $_REQUEST['Neg_Lang'];	
		
		// Put the mail out
		include ('mail/htmlMimeMail.php');
		$mail = new htmlMimeMail();
		$Content_HTML = msg('You can still use the old password to login.') . "<br><br><a href = '" . $ChangeURL . "'>" . $ChangeURL . "</a><br><br>" . msg('Regards') . ",<br>" . $MyName;
		$Content_Text = msg('You can still use the old password to login.') . "\n\n" . $ChangeURL . "\n\n" . msg('Regards') . ",\n" . $MyName;
		$mail->setHTML($Content_HTML,$Content_Text);
		$mail->setSubject(msg('Password change request for MyOrgBook'));
		$mail->setFrom($MyName . '<' . $MyEmail . '>');
		$result = $mail->send(array($_REQUEST['uemail']));
		
		if ($result) {
			header("Location: ".$BASE_URL_SCHEME."://".$_SERVER['SERVER_NAME']."/".substr($_SERVER['PHP_SELF'], 1, strrpos($_SERVER['PHP_SELF'],"/")) . "login.php?Neg_Lang=" . $_REQUEST['Neg_Lang'] . "&Info=" . msg('Your password information has been emailed to you.'));
			exit;
		}
		$Error = msg('E-mail services down.');
	} else {
		// User wasn't found
		$Error = msg('No such e-mail address');

	}
}
// Defining templates
$MyPage = New Template("Templates/" . $Theme . "/");
$MyPage->set_file(array("MyFileHandle" => "lostpass.tpl",
			"MyError" => "error.tpl",
			"MyInfo" => "info.tpl"));
// Checking for error
if ($Error != "") {
	$MyPage->set_var("error_text",$Error);
	$MyPage->parse("Error_Element","MyError");
}
// Checking for info
if ($Info != "") {
	$MyPage->set_var("info_text",$Info);
	$MyPage->parse("Info_Element","MyInfo");
}
// Setting the variables
$MyPage->set_var("lost_pass",msg('Lost Account'));
$MyPage->set_var("login_email",msg('Enter Email Address'));
$MyPage->set_var("find_pass",msg('Find Account'));
$MyPage->set_var("NegLang",$_REQUEST['Neg_Lang']);
$MyPage->set_var("charset",msg('iso-8859-1'));
$MyPage->set_var("Back",msg('Back'));
// Process and output
$MyPage->parse("MyFileOut","MyFileHandle");
$MyPage->p("MyFileOut");

?>
