<?php
/*
Purpose: Providing a secure SQL interface

$Header: /cvsroot/myorgbook/unstable/query.php,v 1.2 2003/06/20 22:04:22 mik3 Exp $
$Log: query.php,v $
Revision 1.2  2003/06/20 22:04:22  mik3
Changed how language works, fixed bugs, made small other enhancements.......

*/


include_once('adodb/toexport.inc.php');
include( 'inc/conf.inc.php');
include ('inc/functions.inc');

// authenticating request
// Check if a user and password is supplied
if ((isset($_REQUEST['uemail'])) AND (isset($_REQUEST['password']))) {
	$password = md5($_REQUEST['password']);
	$result = $db->Execute("SELECT * FROM myorgbook_users WHERE uemail = '" . $_REQUEST['uemail'] . "' and password = '$password'");
	if ($result->RecordCount() == 0) die(msg('Query Failed'));
} else {
	// checking if there is an active session
	if (isset($_SESSION['User'])) {
		include ('inc/session.inc');
	} else {
		// user has no active session and didn't supply a user/pass
		die(msg('Correct syntax is:') . " query.php?query={SQLSTRING}&uemail={USERNAME}&password={PASSWORD}");
	}
}

if (isset($_REQUEST['query'])) {
	$query = $_REQUEST['query'];
	// Kill any ; at the end
	if ($query[strlen($query) - 1] == ';') $query = substr($query,0,strlen($query) - 1);
	// Kill any none myorgbook query
	if (!strstr(strtolower($query), "myorgbook")) die(msg('Only queries on myorgbook tables are allowed'));
	
	
	// Find out what kind of query it is
	switch(strtolower(substr($query,0,3))) { 
		// SELECT statement		
		case 'sel':
			// Making sure only the logged in user records are shown			
			if (!strstr(strtolower($query), "where")) { 
				// append where clause
    				$query .= " WHERE uemail = '" . $_REQUEST['uemail'] . "'";
			} else {
				// checking if where clause contains userid 
				if (!strstr(strtolower($query), "uemail = '")) {
					$query = $query . " AND uemail = '" . $_REQUEST['uemail'] . "'";
				} else {
					// making sure it's the correct one
					if (!strstr(strtolower($query), strtolower($_REQUEST['uemail']))) die(msg('Don\'t pretend to be someone you\'re not'));
				}
			}
			//execute it
			$result = $db->Execute($query);
			if ($result == false) die(msg('Query Failed'));
			// parse result in csv
			print rs2csv($result);
			
			break;
		// INSERT statement
		case 'ins':
			// Killing any attempt to insert into myorgbook_users
			if (!strstr(strtolower($query), "myorgbook_users")) { 
    				// Checking for uemail value
    				if (!strstr(strtolower($query), "uemail")) {
    					// Adding userid
    					$pos = strpos(strtolower($query), ") values");
    					if ($pos === false) die(msg('Add uemail to the value list or use clean SQL syntax'));
    					$qtmp = substr($query,0,$pos);
    					$qtmp.= ",uemail";
    					$qtmp.= strstr(strtolower($query), ") values");
    					$query = substr($qtmp,0,strlen($qtmp)-1);
    					$query.= ",'" . $_REQUEST['uemail'] . "')";
    				} else {
    					//checking if it's the right userid
    					if (!strstr(strtolower($query), strtolower($_REQUEST['uemail']))) die(msg('Don\'t pretend to be someone you\'re not'));
    				}
			} else {
				die(msg('Did you really think we would let you do something in the user table....'));
			}
			//execute it
			$result = $db->Execute($query);
			if ($result == false) die(msg('Query Failed'));
			//giving some feedback
			echo msg('Insert done');
						
			break;
		// DELETE statement
		case 'del':
			// Killing any attempt to delete something from myorgbook_users
			if (!strstr(strtolower($query), "myorgbook_users")) { 
    				// Checking for uemail value
    				if (!strstr(strtolower($query), "uemail")) {
    					if (!strstr(strtolower($query), "where")) { 
					// append where clause
    						$query .= " WHERE uemail = '" . $_REQUEST['uemail'] . "'";
					} else {
						$query = $query . " AND uemail = '" . $_REQUEST['uemail'] . "'";
					}
    				} else {
    					//checking if it's the right userid
    					if (!strstr(strtolower($query), strtolower($_REQUEST['uemail']))) die(msg('Don\'t pretend to be someone you\'re not'));
    				}
			} else {
				die(msg('Did you really think we would let you do something in the user table....'));
			}
			//execute it
			$result = $db->Execute($query);
			if ($result == false) die(msg('Query Failed'));
			//giving some feedback
			echo msg('Delete done');
			
			break;
		//UPDATE statement
		case 'upd':
			// Killing any attempt to change something in myorgbook_users
			if (!strstr(strtolower($query), "myorgbook_users")) {
				// Checking for uemail value
    				if (!strstr(strtolower($query), "uemail")) {
    					// checking for where clausule
    					if (!strstr(strtolower($query), "where")) { 
					// append where clause
    						$query .= " WHERE uemail = '" . $_REQUEST['uemail'] . "'";
					} else {
						$query = $query . " AND uemail = '" . $_REQUEST['uemail'] . "'";
					}
    				} else {
    					// checking if the uemail is before the where clausule
    					$qtmp = strstr(strtolower($query), "uemail");
    					if (!strstr(strtolower($qtmp), "where")) die(msg('Trying to set it to a new user... Bastard!'));
    					//checking if it's the right userid
    					if (!strstr(strtolower($query), strtolower($_REQUEST['uemail']))) die(msg('Don\'t pretend to be someone you\'re not'));
				}
			} else {
				die(msg('Did you really think we would let you do something in the user table....'));
			}
			//execute it
			$result = $db->Execute($query);
			if ($result == false) die(msg('Query Failed'));
			//giving some feedback
			echo msg('Update done');
			
			break;
		// Default handler for every other SQL command (mostly admin functions)
		default:
			die(msg('Go away, or I\'ll replace you with a very small shell script!'));
	}

} else {
	die(msg('Correct syntax is:') . " query.php?query={SQLSTRING}&uemail={USERNAME}&password={PASSWORD}");
}

?>