CREATE TABLE `myorgbook_contacts` (
  `conid` int(9) NOT NULL auto_increment,
  `uemail` varchar(50) NOT NULL default '',
  `lname` varchar(30) NOT NULL default '',
  `fname` varchar(30) NOT NULL default '',
  `mint` char(1) NOT NULL default '',
  `hphone` varchar(20) NOT NULL default '',
  `bphone` varchar(20) NOT NULL default '',
  `cphone` varchar(20) NOT NULL default '',
  `fax` varchar(20) NOT NULL default '',
  `pager` varchar(20) NOT NULL default '',
  `email1` varchar(50) NOT NULL default '',
  `email2` varchar(50) NOT NULL default '',
  `address` varchar(255) NOT NULL default '',
  `address2` varchar(255) NOT NULL default '',
  `city` varchar(200) NOT NULL default '',
  `state` varchar(200) NOT NULL default '',
  `zip` varchar(200) NOT NULL default '',
  `country` varchar(100) NOT NULL default '',
  `comments` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`conid`)
) TYPE=MyISAM;
CREATE TABLE `myorgbook_ipsecurity` (
  `IP` varchar(15) NOT NULL default '0',
  `Times` int(11) NOT NULL default '0',
  `NoAccess` smallint(6) NOT NULL default '0'
) TYPE=MyISAM;
CREATE TABLE `myorgbook_notes` (
  `uemail` varchar(50) NOT NULL default '',
  `title` varchar(255) default NULL,
  `body` blob,
  `note_id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`note_id`),
  KEY `uemail` (`uemail`),
  KEY `note_id` (`note_id`)
) TYPE=MyISAM;
CREATE TABLE `myorgbook_stat_contacts` (
  `timestamp` double NOT NULL default '0',
  `username` varchar(50) NOT NULL default ''
) TYPE=MyISAM;
CREATE TABLE `myorgbook_stat_login` (
  `timestamp` double NOT NULL default '0',
  `username` varchar(50) NOT NULL default '',
  `userip` varchar(255) NOT NULL default '',
  `useragent` varchar(255) NOT NULL default ''
) TYPE=MyISAM;
CREATE TABLE `myorgbook_stat_newusers` (
  `timestamp` double NOT NULL default '0',
  `username` varchar(50) NOT NULL default ''
) TYPE=MyISAM;
CREATE TABLE `myorgbook_stat_reminder` (
  `timestamp` double NOT NULL default '0',
  `username` varchar(50) NOT NULL default ''
) TYPE=MyISAM;
CREATE TABLE `myorgbook_stat_tasks` (
  `timestamp` double NOT NULL default '0',
  `username` varchar(50) NOT NULL default ''
) TYPE=MyISAM;
CREATE TABLE `myorgbook_tasks` (
  `taskid` int(9) NOT NULL auto_increment,
  `uemail` varchar(50) NOT NULL default '',
  `date` double default NULL,
  `task` varchar(255) NOT NULL default '',
  `print` varchar(9) default NULL,
  `ttitle` varchar(255) NOT NULL default '',
  `taskdone` tinyint(1) NOT NULL default '0',
  `reminder_date` double NOT NULL default '-1',
  PRIMARY KEY  (`taskid`)
) TYPE=MyISAM;
CREATE TABLE `myorgbook_users` (
  `uemail` varchar(50) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `user_lname` varchar(30) NOT NULL default '',
  `user_fname` varchar(30) NOT NULL default '',
  `last_login` double default NULL,
  `IsAdmin` tinyint(1) NOT NULL default '0',
  `TimeFormat` tinyint(4) NOT NULL default '1',
  `TimeZone` varchar(5) NOT NULL default '0',
  PRIMARY KEY  (`uemail`)
) TYPE=MyISAM;
INSERT INTO `myorgbook_users` VALUES ('@@ADMIN_EMAIL@@','@@ADMIN_PASSWORD@@','@@ADMIN_LASTNAME@@','@@ADMIN_FIRSTNAME@@',1179200364,1,1,'@@SERVER_TIME_ZONE@@');
